
clear

set mem 300m
set matsize 300


global firm_wave1_public "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\Nigeria Firm Data_Public_June15\Wave1_2001\Firm_Data_Wave1" 
 
cd "$firm_wave1_public"

global wave1  "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\Nigeria Firm Data_Public_Dec06\Nigeria2001_public_dec06"

*cd "D:\stataprogs\Nigeria Firms\Nigeria Firm Data_Public_Dec06\Nigeria2001_public_dec06"
use nm1a18_public.dta, clear

/*These are corrections made after the wave2 survey*/
replace a3q6a=218400 if firm==1013
replace a3q6b=248000 if firm==1013
replace a3q6c=252000 if firm==1013

replace a3q6c=244500 if firm==3029

replace a3q6a=600000 if firm==3010
replace a3q6b=750000 if firm==3010
replace a3q6c=750000 if firm==3010

replace a3q2a=3 if firm==3034
replace a3q2b=3 if firm==3034
replace a3q2c=3 if firm==3034

replace a3q2a=3 if firm==3008 
replace a3q2b=3 if firm==3008
replace a3q2c=3 if firm==3008


gen isic=a1q1
gen town=a1q2
gen west =0
replace west =1 if town==1|town==2
gen east =0
replace east=1 if town==3|town==4|town==5|town==6
gen north=0
replace north=1 if town==7|town==8


/* sector dummies */

gen food = 0
gen textile =0
gen garment = 0
gen wood = 0
gen paper =0
gen chemical = 0
gen metal = 0
gen machines = 0
gen furn = 0


replace food=1 if isic>1500&isic<1600 | isic==7495
replace textile=1 if isic>1700&isic<1800 | isic>1900&isic<2000 | isic>2500&isic<2600 | firm==6120
replace garment=1 if isic==1810
replace wood =1 if isic>2000 & isic<2100
replace paper=1 if isic>2100 & isic<2300
replace chemical=1 if isic>2400 & isic<2500
replace metal=1 if isic>2600 & isic<2900
replace machines=1 if isic>2900 & isic<3200 | isic>3400 & isic<3600
replace furn=1 if isic==3610
replace textile=1 if firm==6209
replace machines=1 if firm==6223

gen fooda=food
gen texta = textile
gen garma = garment
gen wpfa = 0
replace wpfa = 1 if wood==1|paper==1|furn==1
gen chma = 0
replace chma=1 if chemical==1 | machines==1
gen metala=metal

gen anyfor=0
replace anyfor=1 if a2aq2==2 | a2aq2==3 | a2aq2==5 | a2aq2==6


gen year =a2aq9
gen age = 2000-year
gen age2 = age*age
gen age_100 = age/100

gen emp2000 = a5q1c
gen emp1999 = a5q1b
gen emp1998 = a5q1a 
replace emp2000 = a5q7t1+a5q7t2 if emp2000==.
replace emp1999 = a5q9i1+a5q9i2 if emp1999==.

gen ta5q2a1a = a5q2a1a
gen ta5q2a1b = a5q2a1b
gen ta5q2b1a = a5q2b1a
gen ta5q2b1b = a5q2b1b
gen ta5q2c1a = a5q2c1a
gen ta5q2c1b = a5q2c1b
replace ta5q2a1a = 0 if ta5q2a1a ==.
replace ta5q2a1b = 0 if ta5q2a1b ==.
replace ta5q2b1a = 0 if ta5q2b1a ==.
replace ta5q2b1b = 0 if ta5q2b1b ==.
replace ta5q2c1a = 0 if ta5q2c1a ==.
replace ta5q2c1b = 0 if ta5q2c1b ==.

gen t_emp1998 = ta5q2a1a + ta5q2a1b + ta5q2b1a + ta5q2b1b + 0.5*(ta5q2c1a + ta5q2c1b)
replace t_emp1998=. if t_emp1998==0
replace emp1998 = t_emp1998 if emp1998 ==.

gen ta5q2a2a=a5q2a2a
gen ta5q2a2b=a5q2a2b
gen ta5q2b2a=a5q2b2a
gen ta5q2b2b=a5q2b2b
gen ta5q2c2a=a5q2c2a
gen ta5q2c2b=a5q2c2b

replace ta5q2a2a=0 if ta5q2a2a==.
replace ta5q2a2b=0 if ta5q2a2b==.
replace ta5q2b2a=0 if ta5q2b2a==.
replace ta5q2b2b=0 if ta5q2b2b==.
replace ta5q2c2a=0 if ta5q2c2a==.
replace ta5q2c2b=0 if ta5q2c2b==.

gen t_emp1999 = ta5q2a2a + ta5q2a2b + ta5q2b2a + ta5q2b2b + 0.5*(ta5q2c2a + ta5q2c2b)
replace t_emp1999=. if t_emp1999==0
replace emp1999=t_emp1999 if emp1999==.

gen ta5q2a3a=a5q2a3a
gen ta5q2a3b=a5q2a3b
gen ta5q2b3a=a5q2b3a
gen ta5q2b3b=a5q2b3b
gen ta5q2c3a=a5q2c3a
gen ta5q2c3b=a5q2c3b

replace ta5q2a3a=0 if ta5q2a3a==.
replace ta5q2a3b=0 if ta5q2a3b==.
replace ta5q2b3a=0 if ta5q2b3a==.
replace ta5q2b3b=0 if ta5q2b3b==.
replace ta5q2c3a=0 if ta5q2c3a==.
replace ta5q2c3b=0 if ta5q2c3b==.

gen t_emp2000 = ta5q2a3a + ta5q2a3b + ta5q2b3a + ta5q2b3b + 0.5*(ta5q2c3a + ta5q2c3b)
replace t_emp2000=. if t_emp2000==0
replace emp2000=t_emp2000 if emp2000==.

gen emp_2_2000 = emp2000^2
gen emp_3_2000 = emp2000^3

gen emp_2_1999 = emp1999^2

gen emp_3_1999 = emp1999^3

gen emp_2_1998 = emp1998^2

gen emp_3_1998 = emp1998^3



ge cat00=1 if emp2000<=5

replace cat00=2 if emp2000>5 & emp2000<=20

replace cat00=3 if emp2000>20 & emp2000<=75

replace cat00=4 if emp2000>75 & emp2000~=.


gen outp1998 = a3q6a

replace a3q6a=a3q5a if a3q6a==.

replace outp1998 = a3q6a*2 if a3q2a==2

replace outp1998 = a3q6a*12 if a3q2a==3

replace outp1998 = a3q6a*26 if a3q2a==4

replace outp1998 = a3q6a*52 if a3q2a==5

replace outp1998 = a3q6a*4 if a3q2a==6

replace outp1998 = a3q6a*12/5 if firm==4010



gen outp1999 = a3q6b

replace a3q6b=a3q5b if a3q6b==.

replace outp1999 = a3q6b*2 if a3q2b==2

replace outp1999 = a3q6b*12 if a3q2b==3

replace outp1999 = a3q6b*26 if a3q2b==4

replace outp1999 = a3q6b*52 if a3q2b==5

replace outp1999 = a3q6b*4 if a3q2b==6

replace outp1999 = a3q6b*12/5 if firm==4010



gen outp2000 = a3q6c

replace a3q6c=a3q5c if a3q6c==.

replace outp2000 = a3q6c*2 if a3q2c==2

replace outp2000 = a3q6c*12 if a3q2c==3

replace outp2000 = a3q6c*26 if a3q2c==4

replace outp2000 = a3q6c*52 if a3q2c==5

replace outp2000 = a3q6c*4 if a3q2c==6

replace outp2000 = a3q6c*12/5 if firm==4010



gen mata1998 = a3q12a

replace mata1998 = a3q12a*2 if a3q2a==2

replace mata1998 = a3q12a*12 if a3q2a==3

replace mata1998 = a3q12a*26 if a3q2a==4

replace mata1998 = a3q12a*52 if a3q2a==5

replace mata1998 = a3q12a*4 if a3q2a==6

replace mata1998 = a3q12a*12/5 if firm==4010



gen mata1999 = a3q12b

replace mata1999 = a3q12b*2 if a3q2b==2

replace mata1999 = a3q12b*12 if a3q2b==3

replace mata1999 = a3q12b*26 if a3q2b==4

replace mata1999 = a3q12b*52 if a3q2b==5

replace mata1999 = a3q12b*4 if a3q2b==6

replace mata1999 = a3q12b*12/5 if firm==4010



gen mata2000 = a3q12c

replace mata2000 = a3q12c*2 if a3q2c==2

replace mata2000 = a3q12c*12 if a3q2c==3

replace mata2000 = a3q12c*26 if a3q2c==4

replace mata2000 = a3q12c*52 if a3q2c==5

replace mata2000 = a3q12c*4 if a3q2c==6

replace mata2000 = a3q12c*12/5 if firm==4010



gen rent2000=a3q11a3

replace rent2000=0 if a3q11a3==.

replace rent2000 = rent2000*2 if a3q2c==2

replace rent2000 = rent2000*12 if a3q2c==3

replace rent2000 = rent2000*26 if a3q2c==4

replace rent2000 = rent2000*52 if a3q2c==5

replace rent2000 = rent2000*4 if a3q2c==6

replace rent2000 = rent2000*12/5 if firm==4010





gen elec2000=a3q11b3

replace elec2000=0 if a3q11b3==.

replace elec2000 = elec2000*2 if a3q2c==2

replace elec2000 = elec2000*12 if a3q2c==3

replace elec2000 = elec2000*26 if a3q2c==4

replace elec2000 = elec2000*52 if a3q2c==5

replace elec2000 = elec2000*4 if a3q2c==6

replace elec2000 = elec2000*12/5 if firm==4010



gen water2000=a3q11c3

replace water2000=0 if a3q11c3==.

replace water2000 = water2000*2 if a3q2c==2

replace water2000 = water2000*12 if a3q2c==3

replace water2000 = water2000*26 if a3q2c==4

replace water2000 = water2000*52 if a3q2c==5

replace water2000 = water2000*4 if a3q2c==6

replace water2000 = water2000*12/5 if firm==4010





gen tel2000=a3q11d3

replace tel2000=0 if a3q11d3==.

replace tel2000 = tel2000*2 if a3q2c==2

replace tel2000 = tel2000*12 if a3q2c==3

replace tel2000 = tel2000*26 if a3q2c==4

replace tel2000 = tel2000*52 if a3q2c==5

replace tel2000 = tel2000*4 if a3q2c==6

replace tel2000 = tel2000*12/5 if firm==4010



gen fuel2000=a3q11e3

replace fuel2000=0 if a3q11e3==.

replace fuel2000 = fuel2000*2 if a3q2c==2

replace fuel2000 = fuel2000*12 if a3q2c==3

replace fuel2000 = fuel2000*26 if a3q2c==4

replace fuel2000 = fuel2000*52 if a3q2c==5

replace fuel2000 = fuel2000*4 if a3q2c==6

replace fuel2000 = fuel2000*12/5 if firm==4010





gen stat2000=a3q11f3

replace stat2000=0 if a3q11f3==.

replace stat2000 = stat2000*2 if a3q2c==2

replace stat2000 = stat2000*12 if a3q2c==3

replace stat2000 = stat2000*26 if a3q2c==4

replace stat2000 = stat2000*52 if a3q2c==5

replace stat2000 = stat2000*4 if a3q2c==6

replace stat2000 = stat2000*12/5 if firm==4010





gen trans2000=a3q11g3

replace trans2000=0 if a3q11g3==.

replace trans2000 = trans2000*2 if a3q2c==2

replace trans2000 = trans2000*12 if a3q2c==3

replace trans2000 = trans2000*26 if a3q2c==4

replace trans2000 = trans2000*52 if a3q2c==5

replace trans2000 = trans2000*4 if a3q2c==6

replace trans2000 = trans2000*12/5 if firm==4010





gen secur2000=a3q11h3

replace secur2000=0 if a3q11h3==.

replace secur2000 = secur2000*2 if a3q2c==2

replace secur2000 = secur2000*12 if a3q2c==3

replace secur2000 = secur2000*26 if a3q2c==4

replace secur2000 = secur2000*52 if a3q2c==5

replace secur2000 = secur2000*4 if a3q2c==6

replace secur2000 = secur2000*12/5 if firm==4010





gen ins2000=a3q11i3

replace ins2000=0 if a3q11i3==.

replace ins2000 = ins2000*2 if a3q2c==2

replace ins2000 = ins2000*12 if a3q2c==3

replace ins2000 = ins2000*26 if a3q2c==4

replace ins2000 = ins2000*52 if a3q2c==5

replace ins2000 = ins2000*4 if a3q2c==6

replace ins2000 = ins2000*12/5 if firm==4010





gen adv2000=a3q11j3

replace adv2000=0 if a3q11j3==.

replace adv2000 = adv2000*2 if a3q2c==2

replace adv2000 = adv2000*12 if a3q2c==3

replace adv2000 = adv2000*26 if a3q2c==4

replace adv2000 = adv2000*52 if a3q2c==5

replace adv2000 = adv2000*4 if a3q2c==6

replace adv2000 = adv2000*12/5 if firm==4010





gen maint2000=a3q11k3

replace maint2000=0 if a3q11k3==.

replace maint2000 = maint2000*2 if a3q2c==2

replace maint2000 = maint2000*12 if a3q2c==3

replace maint2000 = maint2000*26 if a3q2c==4

replace maint2000 = maint2000*52 if a3q2c==5

replace maint2000 = maint2000*4 if a3q2c==6

replace maint2000 = maint2000*12/5 if firm==4010





gen indser2000=a3q11l3

replace indser2000=0 if a3q11l3==.

replace indser2000 = indser2000*2 if a3q2c==2

replace indser2000 = indser2000*12 if a3q2c==3

replace indser2000 = indser2000*26 if a3q2c==4

replace indser2000 = indser2000*52 if a3q2c==5

replace indser2000 = indser2000*4 if a3q2c==6

replace indser2000 = indser2000*12/5 if firm==4010





gen other2000=a3q11m3

replace other2000=0 if a3q11m3==.

replace other2000 = other2000*2 if a3q2c==2

replace other2000 = other2000*12 if a3q2c==3

replace other2000 = other2000*26 if a3q2c==4

replace other2000 = other2000*52 if a3q2c==5

replace other2000 = other2000*4 if a3q2c==6

replace other2000 = other2000*12/5 if firm==4010





gen misc2000=rent2000+elec2000+water2000+tel2000+fuel2000+stat2000+trans2000+secur2000+ins2000+adv2000+maint2000+indser2000+other2000

replace misc2000=. if misc2000==0



gen rent1999=a3q11a2

replace rent1999=0 if a3q11a2==.

replace rent1999 = rent1999*2 if a3q2b==2

replace rent1999 = rent1999*12 if a3q2b==3

replace rent1999 = rent1999*26 if a3q2b==4

replace rent1999 = rent1999*52 if a3q2b==5

replace rent1999 = rent1999*4 if a3q2b==6

replace rent1999 = rent1999*12/5 if firm==4010



gen elec1999=a3q11b2

replace elec1999=0 if a3q11b2==.

replace elec1999 = elec1999*2 if a3q2b==2

replace elec1999 = elec1999*12 if a3q2b==3

replace elec1999 = elec1999*26 if a3q2b==4

replace elec1999 = elec1999*52 if a3q2b==5

replace elec1999 = elec1999*4 if a3q2b==6

replace elec1999 = elec1999*12/5 if firm==4010



gen water1999=a3q11c2

replace water1999=0 if a3q11c2==.

replace water1999 = water1999*2 if a3q2b==2

replace water1999 = water1999*12 if a3q2b==3

replace water1999 = water1999*26 if a3q2b==4

replace water1999 = water1999*52 if a3q2b==5

replace water1999 = water1999*4 if a3q2b==6

replace water1999 = water1999*12/5 if firm==4010



gen tel1999=a3q11d2

replace tel1999=0 if a3q11d2==.

replace tel1999 = tel1999*2 if a3q2b==2

replace tel1999 = tel1999*12 if a3q2b==3

replace tel1999 = tel1999*26 if a3q2b==4

replace tel1999 = tel1999*52 if a3q2b==5

replace tel1999 = tel1999*4 if a3q2b==6

replace tel1999 = tel1999*12/5 if firm==4010



gen fuel1999=a3q11e2

replace fuel1999=0 if a3q11e2==.

replace fuel1999 = fuel1999*2 if a3q2b==2

replace fuel1999 = fuel1999*12 if a3q2b==3

replace fuel1999 = fuel1999*26 if a3q2b==4

replace fuel1999 = fuel1999*52 if a3q2b==5

replace fuel1999 = fuel1999*4 if a3q2b==6

replace fuel1999 = fuel1999*12/5 if firm==4010



gen stat1999=a3q11f2

replace stat1999=0 if a3q11f2==.

replace stat1999 = stat1999*2 if a3q2b==2

replace stat1999 = stat1999*12 if a3q2b==3

replace stat1999 = stat1999*26 if a3q2b==4

replace stat1999 = stat1999*52 if a3q2b==5

replace stat1999 = stat1999*4 if a3q2b==6

replace stat1999 = stat1999*12/5 if firm==4010



gen trans1999=a3q11g2

replace trans1999=0 if a3q11g2==.

replace trans1999 = trans1999*2 if a3q2b==2

replace trans1999 = trans1999*12 if a3q2b==3

replace trans1999 = trans1999*26 if a3q2b==4

replace trans1999 = trans1999*52 if a3q2b==5

replace trans1999 = trans1999*4 if a3q2b==6

replace trans1999 = trans1999*12/5 if firm==4010





gen secur1999=a3q11h2

replace secur1999=0 if a3q11h2==.

replace secur1999 = secur1999*2 if a3q2b==2

replace secur1999 = secur1999*12 if a3q2b==3

replace secur1999 = secur1999*26 if a3q2b==4

replace secur1999 = secur1999*52 if a3q2b==5

replace secur1999 = secur1999*4 if a3q2b==6

replace secur1999 = secur1999*12/5 if firm==4010



gen ins1999=a3q11i2

replace ins1999=0 if a3q11i2==.

replace ins1999 = ins1999*2 if a3q2b==2

replace ins1999 = ins1999*12 if a3q2b==3

replace ins1999 = ins1999*26 if a3q2b==4

replace ins1999 = ins1999*52 if a3q2b==5

replace ins1999 = ins1999*4 if a3q2b==6

replace ins1999 = ins1999*12/5 if firm==4010



gen adv1999=a3q11j2

replace adv1999=0 if a3q11j2==.

replace adv1999 = adv1999*2 if a3q2b==2

replace adv1999 = adv1999*12 if a3q2b==3

replace adv1999 = adv1999*26 if a3q2b==4

replace adv1999 = adv1999*52 if a3q2b==5

replace adv1999 = adv1999*4 if a3q2b==6

replace adv1999 = adv1999*12/5 if firm==4010



gen maint1999=a3q11k2

replace maint1999=0 if a3q11k2==.

replace maint1999 = maint1999*2 if a3q2b==2

replace maint1999 = maint1999*12 if a3q2b==3

replace maint1999 = maint1999*26 if a3q2b==4

replace maint1999 = maint1999*52 if a3q2b==5

replace maint1999 = maint1999*4 if a3q2b==6

replace maint1999 = maint1999*12/5 if firm==4010



gen indser1999=a3q11l2

replace indser1999=0 if a3q11l2==.

replace indser1999 = indser1999*2 if a3q2b==2

replace indser1999 = indser1999*12 if a3q2b==3

replace indser1999 = indser1999*26 if a3q2b==4

replace indser1999 = indser1999*52 if a3q2b==5

replace indser1999 = indser1999*4 if a3q2b==6

replace indser1999 = indser1999*12/5 if firm==4010



gen other1999=a3q11m2

replace other1999=0 if a3q11m2==.

replace other1999 = other1999*2 if a3q2b==2

replace other1999 = other1999*12 if a3q2b==3

replace other1999 = other1999*26 if a3q2b==4

replace other1999 = other1999*52 if a3q2b==5

replace other1999 = other1999*4 if a3q2b==6

replace other1999 = other1999*12/5 if firm==4010



save temp_datanig1_public,replace


list firm a3q6* if firm==1013 | firm==3029

list firm a3q6* a3q2a a3q2b a3q2c if firm==3010 | firm==3034  | firm==5020

exit
exit
