clear

cd "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\temp" 

global simon_feb06  "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\Nigeria2005\Nigeria_raw_data_simon_feb06\Nigeria2"
global wave2_public "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\Nigeria Firm Data_Public_June15\Wave2_2004\Firm_Data_Wave2"
global derived_data "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\Nigeria Firm Data_Public_June15\Wave2_2004\Firm_Derived_Data_Wave2" 



use "$wave2_public\nm2_section3_public", clear
sort firmid
save temp_sec3, replace

use "$wave2_public\nm2_section5_public", clear
sort firmid

save temp_sec5, replace

use "$wave2_public\nm2_section4_public", clear 

sort firmid

merge firmid using temp_sec3 temp_sec5

drop if firmid==4008

/*
. tab n3q2

       n3q2 |      Freq.     Percent        Cum.
------------+-----------------------------------
    1 month |         43       33.59       33.59
     1 week |          9        7.03       40.63
     1 year |         74       57.81       98.44
    2 weeks |          1        0.78       99.22
      other |          1        0.78      100.00
------------+-----------------------------------
      Total |        128      100.00
*/
gen multiple=1 if n3q2=="1 year"
replace multiple=12 if n3q2=="1 month"
replace multiple=52 if n3q2=="1 week"
replace multiple=26 if n3q2=="2 weeks"

/*Some problem firms
list firmid multiple if firmid==1013 |  firmid==1021 | firmid==2011 | firmid==3017 | firmid==3031 | firmid==3034 | firmid==3049 | firmid==6223

*/



/*These are corrections to the raw data*/
replace multiple=1 if firmid==3017
replace multiple=1 if firmid==3034
replace multiple=1 if firmid==3049
replace multiple=1 if firmid ==3008
replace multiple=1 if firmid ==3021
replace multiple=1 if firmid ==3022
replace multiple=1 if firmid ==3024
replace multiple=1 if firmid ==5020
replace multiple=1 if firmid ==6066
replace multiple=1 if firmid ==6094
replace multiple=12 if firmid==4019

replace n3q6_2001=110000 if firmid==4019


generate float rev01=n3q5_2001*multiple
generate float rev02=n3q5_2002*multiple
generate float rev03=n3q5_2003*multiple

generate float out01=n3q6_2001*multiple
generate float out02=n3q6_2002*multiple
generate float out03=n3q6_2003*multiple

generate float misca01= n3q11a1*multiple
generate float misca02= n3q11a2*multiple
generate float misca03= n3q11a3*multiple

generate float miscb01= n3q11b1*multiple
generate float miscb02= n3q11b2*multiple
generate float miscb03= n3q11b3*multiple

generate float miscc01= n3q11c1*multiple
generate float miscc02= n3q11c2*multiple
generate float miscc03= n3q11c3*multiple

generate float miscd01= n3q11d1*multiple
generate float miscd02= n3q11d2*multiple
generate float miscd03= n3q11d3*multiple

generate float misce01= n3q11e1*multiple
generate float misce02= n3q11e2*multiple
generate float misce03= n3q11e3*multiple

generate float miscf01= n3q11f1*multiple
generate float miscf02= n3q11f2*multiple
generate float miscf03= n3q11f3*multiple

generate float miscg01= n3q11g1*multiple
generate float miscg02= n3q11g2*multiple
generate float miscg03= n3q11g3*multiple

generate float misch01= n3q11h1*multiple
generate float misch02= n3q11h2*multiple
generate float misch03= n3q11h3*multiple

generate float misci01= n3q11i1*multiple
generate float misci02= n3q11i2*multiple
generate float misci03= n3q11i3*multiple

generate float miscj01= n3q11j1*multiple
generate float miscj02= n3q11j2*multiple
generate float miscj03= n3q11j3*multiple

generate float misck01= n3q11k1*multiple
generate float misck02= n3q11k2*multiple
generate float misck03= n3q11k3*multiple

generate float miscl01= n3q11l1*multiple
generate float miscl02= n3q11l2*multiple
generate float miscl03= n3q11l3*multiple

generate float miscm01= n3q11m1*multiple
generate float miscm02= n3q11m2*multiple
generate float miscm03= n3q11m3*multiple

generate float miscn01= n3q11n1*multiple
generate float miscn02= n3q11n2*multiple
generate float miscn03= n3q11n3*multiple

generate float totalmisc01=miscn01
generate float totalmisc02=miscn02
generate float totalmisc03=miscn03

generate float summisc01=misca01+miscb01+miscc01+miscd01+misce01+miscf01+miscg01+misch01+misci01+miscj01+misck01+miscl01+miscm01
generate float summisc02=misca02+miscb02+miscc02+miscd02+misce02+miscf02+miscg02+misch02+misci02+miscj02+misck02+miscl02+miscm02
generate float summisc03=misca03+miscb03+miscc03+miscd03+misce03+miscf03+miscg03+misch03+misci03+miscj03+misck03+miscl03+miscm03

generate float misc01=max(totalmisc01,summisc01)
generate float misc02=max(totalmisc02,summisc02)
generate float misc03=max(totalmisc03,summisc03)

generate float mata01=n3q12_2001*multiple
generate float mata02=n3q12_2002*multiple
generate float mata03=n3q12_2003*multiple

generate float vadd01=n3q15_2001*multiple
generate float vadd02=n3q15_2002*multiple
generate float vadd03=n3q15_2003*multiple

generate float dep01=n3q16_2001*multiple
generate float dep02=n3q16_2002*multiple
generate float dep03=n3q16_2003*multiple

generate float labcost01=n3q19_2001*multiple
generate float labcost02=n3q19_2002*multiple
generate float labcost03=n3q19_2003*multiple

generate float profit01=n3q20_2001*multiple
generate float profit02=n3q20_2002*multiple
generate float profit03=n3q20_2003*multiple

generate float capacity01=n3q24_2001
generate float capacity02=n3q24_2002
generate float capacity03=n3q24_2003

gen ex01=n3q29_2001+n3q30_2001
gen exaf01=n3q29_2001
gen ex02=n3q29_2002+n3q30_2002
gen exaf02=n3q29_2002
gen ex03=n3q29_2003+n3q30_2003
gen exaf03=n3q29_2003

gen unionpc=hh5q17
sum

/*Simon corrections
replace out=out/12 if firmid==3008 |firmid==3010 | firmid==3021 | firmid==3022 | firmid==3024 | firmid==3034 | firmid==6066 | firmid==6095 | firmid==6113 
replace out=out/26 if firmid==3036
replace out=out/52 if firmid==3051 | firmid==5020
replace mata=mata/12 if firmid==3008 |firmid==3010 | firmid==3021 | firmid==3022 | firmid==3024 | firmid==3034 | firmid==6066 | firmid==6095 | firmid==6113 
replace mata=mata/26 if firmid==3036
replace mata=mata/52 if firmid==3051 | firmid==5020
replace vadd=vadd/12 if firmid==3008 |firmid==3010 | firmid==3021 | firmid==3022 | firmid==3024 | firmid==3034 | firmid==6066 | firmid==6095 | firmid==6113 
replace vadd=vadd/26 if firmid==3036
replace vadd=vadd/52 if firmid==3051 | firmid==5020
replace misc=misc/12 if firmid==3008 |firmid==3010 | firmid==3021 | firmid==3022 | firmid==3024 | firmid==3034 | firmid==6066 | firmid==6095 | firmid==6113 
replace misc=misc/26 if firmid==3036
replace misc=misc/52 if firmid==3051 | firmid==5020
replace wage=wage/12 if firmid==3008 |firmid==3010 | firmid==3021 | firmid==3022 | firmid==3024 | firmid==3034 | firmid==6066 | firmid==6095 | firmid==6113 
replace wage=wage/26 if firmid==3036
replace wage=wage/52 if firmid==3051 | firmid==5020
replace profit=profit/12 if firmid==3008 |firmid==3010 | firmid==3021 | firmid==3022 | firmid==3024 | firmid==3034 | firmid==6066 | firmid==6095 | firmid==6113 
replace profit=profit/26 if firmid==3036
replace profit=profit/52 if firmid==3051 | firmid==5020
*/


 
gen emp01=hh5q1a
gen emp02=hh5q1b
gen emp03=hh5q1c

sum emp*  , detail


/*This is the definiton of capital stock that Simon used*/
gen cap01=n4q1_2001+n4q3_2001
gen cap02=n4q1_2002+n4q3_2002
gen cap03=n4q1_2003+n4q3_2003
sum cap*

/*This is the definiton of capital stock used in other analysis*/
gen cap_pe01=n4q1_2001
gen cap_pe02=n4q1_2002
gen cap_pe03=n4q1_2003
sum cap_pe*

/*This is the definition of investment used by Simon*/
foreach var in n4q13a n4q13b n4q13c n4q13d n4q11a n4q11b n4q11c n4q11d n4q9a n4q9b n4q9c n4q9d{
replace `var'=0 if `var'==.
}
 

gen float inv01=n4q13a+n4q13b+n4q13c+n4q13d
gen float inv02=n4q11a+n4q11b+n4q11c+n4q11d 
gen float inv03=n4q9a+n4q9b+n4q9c+n4q9d 
sum inv*


/*This is the defintion of investment used in other analysis*/
gen float inv_pe01=n4q13c
gen float inv_pe02=n4q11c 
gen float inv_pe03=n4q9c 
sum inv_pe*

save "$derived_data\sections_3_4_5_2015", replace
exit


