/*do file for NIgerian labour*/
/*uses merged file*/
/*start with history_tenure_handheld*/


clear
*version 8.2


set mem 20m
global workers_wave2 "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\Nigeria2005\Neil_June_2015_Data"
global worker_wave2_public "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\Nigeria Firm Data_Public_June15\Wave2_2004\Worker_Data_Wave2"


use "$worker_wave2_public\all_merge.dta", clear


set more off

/*first get start and end dates for employment*/

/*a loop for all activities*/
local k=1
while `k'<=9{
ge st_ye_`k' = je05_`k'
ge st_me_`k' = je06_`k'
ge sp_ye_`k' = je03_`k'
ge sp_me_`k' = je04_`k'

ge st_yse_`k' = js03_`k'
ge st_mse_`k' = js04_`k'
ge sp_yse_`k' = js06_`k'
ge sp_mse_`k' = js07_`k'

ge st_yue_`k' = ju01_`k'
ge st_mue_`k' = ju02_`k'
ge sp_yue_`k' = ju04_`k'
ge sp_mue_`k' = ju05_`k'


/*putting into time-series form*/
gen start_emp_`k' = ym(st_ye_`k', st_me_`k')
gen stop_emp_`k' = ym(sp_ye_`k', sp_me_`k')
format start_emp_`k' stop_emp_`k' %tm /*monthly date format*/

replace stop_emp_1 =ym(2005, 2) if start_emp_1~=. & stop_emp_1==.

gen period_emp_`k'=stop_emp_`k'-start_emp_`k'


gen start_selfemp_`k' = ym(st_yse_`k', st_mse_`k')
gen stop_selfemp_`k' = ym(sp_yse_`k', sp_mse_`k')
format start_selfemp_`k' stop_selfemp_`k' %tm /*monthly date format*/

replace stop_selfemp_1 =ym(2005, 2) if start_selfemp_1~=. & stop_selfemp_1==.

gen period_selfemp_`k'=stop_selfemp_`k'-start_selfemp_`k'

gen start_unemp_`k' = ym(st_yue_`k', st_mue_`k')
gen stop_unemp_`k' = ym(sp_yue_`k', sp_mue_`k')
format start_unemp_`k' stop_unemp_`k' %tm /*monthly date format*/

replace stop_unemp_1 =ym(2005, 2) if start_unemp_1~=. & stop_unemp_1==.

gen period_unemp_`k'=stop_unemp_`k'-start_unemp_`k'

gen start_act_`k' = start_emp_`k'
replace start_act_`k' = start_selfemp_`k' if start_act_`k'==.
replace start_act_`k' = start_unemp_`k' if start_act_`k'==.
format start_act_`k' %tm /*monthly date format*/

gen stop_act_`k' = stop_emp_`k'
replace stop_act_`k' = stop_selfemp_`k' if stop_act_`k'==.
replace stop_act_`k' = stop_unemp_`k' if stop_act_`k'==.
format stop_act_`k' %tm /*monthly date format*/

gen tenure_`k'=stop_act_`k'-start_act_`k'

/*have start_act_?, stop_act_?, tenure_? */



gen activity_`k'=j1_`k'
replace activity_`k'="Apprentice" if activity_`k'=="Employed" & jr03_`k'=="Manufacturing apprentice"

gen unemp_type_`k'=ju08_`k'
replace activity_`k'="Not in labour force" if activity_`k'=="Unemployed (including students, housewives etc)" & unemp_type_`k'~="Unemployed: looking for work and unable to find any"
replace activity_`k'="Unemployed" if activity_`k'=="Unemployed (including students, housewives etc)" & unemp_type_`k'=="Unemployed: looking for work and unable to find any"

replace activity_`k'="Self-employed" if activity_`k'=="Self employed"
*taken out types of self-employment
/*replace activity_`k'="Own business" if activity_`k'=="Self-employed" & (hh2ab1a_`k'=="Own business" | hh2ab1a_`k'=="Other")
replace activity_`k'="Trading" if activity_`k'=="Self-employed" & hh2ab1a_`k'=="Trading"*/
replace activity_`k'="Not in labour force" if activity_`k'=="Retired"



/*dummy variables like for paper*/
gen manwk_`k'=0 if j1_`k'~=""
replace manwk_`k'=1 if jr03_`k'=="Salaried / wage worker"
gen apprenwk_`k'=0 if j1_`k'~=""
replace apprenwk_`k'=1 if jr03_`k'=="Manufacturing apprentice"

gen sewk_`k'=0 if j1_`k'~=""
replace sewk_`k'=1 if js01_`k'~=""

gen outwk_`k'=0 if j1_`k'~=""
replace outwk_`k'=1 if j1_`k'=="Unemployed (including students, housewives etc)" | j1_`k'=="Retired"

gen hours_`k'=je60_`k'
replace hours_`k'=js14_`k' if hours_`k'==. & activity_`k'=="Self-employed"



/*creating an estimate of current monthly wages (after tax), with allowances*/
/*allowances*/
/*need to put in former job*/


/*food*/
replace jrn08_`k'=0 if jrn08_`k'==. & jrn05_`k'~=.
replace final7_`k'=0 if final7_`k'==. & final4_`k'~=.
replace jrl07_`k'=0 if jrl07_`k'==. & jrl04_`k'~=.
replace jrt07_`k'=0 if jrt07_`k'==. & jrt04_`k'~=.
replace jrs07_`k'=0 if jrs07_`k'==. & jrs04_`k'~=.

gen stop_fooda_`k'=jrn08_`k' if jr03_`k'=="Salaried / wage worker"
replace stop_fooda_`k'=final7_`k' if stop_fooda_`k'==. & jr03_`k'=="Salaried / wage worker"
gen l1_fooda_`k'=jrl07_`k' if jr03_`k'=="Salaried / wage worker"
gen l2_fooda_`k'=jrt07_`k' if jr03_`k'=="Salaried / wage worker"
gen start_fooda_`k'=jrs07_`k' if jr03_`k'=="Salaried / wage worker"

/*housing*/
replace jrn09_`k'=0 if jrn09_`k'==. & jrn05_`k'~=.
replace final8_`k'=0 if final8_`k'==. & final4_`k'~=.
replace jrl08_`k'=0 if jrl08_`k'==. & jrl04_`k'~=.
replace jrt08_`k'=0 if jrt08_`k'==. & jrt04_`k'~=.
replace jrs08_`k'=0 if jrs08_`k'==. & jrs04_`k'~=.

gen stop_housea_`k'=jrn09_`k' if jr03_`k'=="Salaried / wage worker"
replace stop_housea_`k'=final8_`k' if stop_housea_`k'==. & jr03_`k'=="Salaried / wage worker"
gen l1_housea_`k'=jrl08_`k' if jr03_`k'=="Salaried / wage worker"
gen l2_housea_`k'=jrt08_`k' if jr03_`k'=="Salaried / wage worker"
gen start_housea_`k'=jrs08_`k' if jr03_`k'=="Salaried / wage worker"

/*clothing*/
replace jrn10_`k'=0 if jrn10_`k'==. & jrn05_`k'~=.
replace final9_`k'=0 if final9_`k'==. & final4_`k'~=.
replace jrl09_`k'=0 if jrl09_`k'==. & jrl04_`k'~=.
replace jrt09_`k'=0 if jrt09_`k'==. & jrt04_`k'~=.
replace jrs09_`k'=0 if jrs09_`k'==. & jrs04_`k'~=.

gen stop_clotha_`k'=jrn10_`k' if jr03_`k'=="Salaried / wage worker"
replace stop_clotha_`k'=final9_`k' if stop_clotha_`k'==. & jr03_`k'=="Salaried / wage worker"
gen l1_clotha_`k'=jrl09_`k' if jr03_`k'=="Salaried / wage worker"
gen l2_clotha_`k'=jrt09_`k' if jr03_`k'=="Salaried / wage worker"
gen start_clotha_`k'=jrs09_`k' if jr03_`k'=="Salaried / wage worker"

/*transport*/

replace jrn11_`k'=0 if jrn11_`k'==. & jrn05_`k'~=.
replace final10_`k'=0 if final10_`k'==. & final4_`k'~=.
replace jrl10_`k'=0 if jrl10_`k'==. & jrl04_`k'~=.
replace jrt10_`k'=0 if jrt10_`k'==. & jrt04_`k'~=.
replace jrs10_`k'=0 if jrs10_`k'==. & jrs04_`k'~=.

gen stop_transa_`k'=jrn11_`k' if jr03_`k'=="Salaried / wage worker"
replace stop_transa_`k'=final10_`k' if stop_transa_`k'==. & jr03_`k'=="Salaried / wage worker"
gen l1_transa_`k'=jrl10_`k' if jr03_`k'=="Salaried / wage worker"
gen l2_transa_`k'=jrt10_`k' if jr03_`k'=="Salaried / wage worker"
gen start_transa_`k'=jrs10_`k' if jr03_`k'=="Salaried / wage worker"


/*all*/
gen stop_all_`k'=stop_fooda_`k'+stop_housea_`k'+stop_clotha_`k'+stop_transa_`k'
gen l1_all_`k'=l1_fooda_`k'+l1_housea_`k'+l1_clotha_`k'+l1_transa_`k'
gen l2_all_`k'=l2_fooda_`k'+l2_housea_`k'+l2_clotha_`k'+l2_transa_`k'
gen start_all_`k'=start_fooda_`k'+start_housea_`k'+start_clotha_`k'+start_transa_`k'


/*earnings*/

gen stop_earnbt_`k'     = (jrn05_`k'+stop_all_`k')*8*27 if jr01_`k'=="Hour"
replace stop_earnbt_`k' = (jrn05_`k'+stop_all_`k')*27 if jr01_`k'=="Day"
replace stop_earnbt_`k' = (jrn05_`k'+stop_all_`k')*4.5 if jr01_`k'=="Week"
replace stop_earnbt_`k' = (jrn05_`k'+stop_all_`k') if jr01_`k'=="Month"

replace stop_earnbt_`k' = (final4_`k'+stop_all_`k')*8*27 if jr01_`k'=="Hour" & stop_earnbt_`k'==.
replace stop_earnbt_`k' = (final4_`k'+stop_all_`k')*27 if jr01_`k'=="Day" & stop_earnbt_`k'==.
replace stop_earnbt_`k' = (final4_`k'+stop_all_`k')*4.5 if jr01_`k'=="Week" & stop_earnbt_`k'==.
replace stop_earnbt_`k' = (final4_`k'+stop_all_`k') if jr01_`k'=="Month" & stop_earnbt_`k'==.

gen stop_earnat_`k'     = (jrn06_`k'+stop_all_`k')*8*27 if jr01_`k'=="Hour"
replace stop_earnat_`k' = (jrn06_`k'+stop_all_`k')*27 if jr01_`k'=="Day"
replace stop_earnat_`k' = (jrn06_`k'+stop_all_`k')*4.5 if jr01_`k'=="Week"
replace stop_earnat_`k' = (jrn06_`k'+stop_all_`k') if jr01_`k'=="Month"

replace stop_earnat_`k' = (final5_`k'+stop_all_`k')*8*27 if jr01_`k'=="Hour" & stop_earnat_`k'==.
replace stop_earnat_`k' = (final5_`k'+stop_all_`k')*27 if jr01_`k'=="Day" & stop_earnat_`k'==.
replace stop_earnat_`k' = (final5_`k'+stop_all_`k')*4.5 if jr01_`k'=="Week" & stop_earnat_`k'==.
replace stop_earnat_`k' = (final5_`k'+stop_all_`k') if jr01_`k'=="Month" & stop_earnat_`k'==.

gen l1_earnbt_`k'     = (jrl04_`k'+l1_all_`k')*8*27 if jr01_`k'=="Hour"
replace l1_earnbt_`k' = (jrl04_`k'+l1_all_`k')*27 if jr01_`k'=="Day"
replace l1_earnbt_`k' = (jrl04_`k'+l1_all_`k')*4.5 if jr01_`k'=="Week"
replace l1_earnbt_`k' = (jrl04_`k'+l1_all_`k') if jr01_`k'=="Month"

gen l1_earnat_`k'     = (jrl05_`k'+l1_all_`k')*8*27 if jr01_`k'=="Hour"
replace l1_earnat_`k' = (jrl05_`k'+l1_all_`k')*27 if jr01_`k'=="Day"
replace l1_earnat_`k' = (jrl05_`k'+l1_all_`k')*4.5 if jr01_`k'=="Week"
replace l1_earnat_`k' = (jrl05_`k'+l1_all_`k') if jr01_`k'=="Month"

gen l2_earnbt_`k'     = (jrt04_`k'+l2_all_`k')*8*27 if jr01_`k'=="Hour"
replace l2_earnbt_`k' = (jrt04_`k'+l2_all_`k')*27 if jr01_`k'=="Day"
replace l2_earnbt_`k' = (jrt04_`k'+l2_all_`k')*4.5 if jr01_`k'=="Week"
replace l2_earnbt_`k' = (jrt04_`k'+l2_all_`k') if jr01_`k'=="Month"

gen l2_earnat_`k'     = (jrt05_`k'+l2_all_`k')*8*27 if jr01_`k'=="Hour"
replace l2_earnat_`k' = (jrt05_`k'+l2_all_`k')*27 if jr01_`k'=="Day"
replace l2_earnat_`k' = (jrt05_`k'+l2_all_`k')*4.5 if jr01_`k'=="Week"
replace l2_earnat_`k' = (jrt05_`k'+l2_all_`k') if jr01_`k'=="Month"

gen start_earnbt_`k'     = (jrs04_`k'+start_all_`k')*8*27 if jr01_`k'=="Hour"
replace start_earnbt_`k' = (jrs04_`k'+start_all_`k')*27 if jr01_`k'=="Day"
replace start_earnbt_`k' = (jrs04_`k'+start_all_`k')*4.5 if jr01_`k'=="Week"
replace start_earnbt_`k' = (jrs04_`k'+start_all_`k') if jr01_`k'=="Month"

gen start_earnat_`k'     = (jrs05_`k'+start_all_`k')*8*27 if jr01_`k'=="Hour"
replace start_earnat_`k' = (jrs05_`k'+start_all_`k')*27 if jr01_`k'=="Day"
replace start_earnat_`k' = (jrs05_`k'+start_all_`k')*4.5 if jr01_`k'=="Week"
replace start_earnat_`k' = (jrs05_`k'+start_all_`k') if jr01_`k'=="Month"

gen stop_xmas_`k'=jrn13_`k'/12
replace stop_xmas_`k'=0 if stop_xmas_`k'==.
gen stop_bonus_`k'=jrn15_`k'/12
replace stop_bonus_`k'=0 if stop_bonus_`k'==.

replace stop_xmas_`k'=final12_`k'/12 if final12_`k'~=.
replace stop_xmas_`k'=0 if stop_xmas_`k'==.
replace stop_bonus_`k'=final14_`k'/12  if final14_`k'~=.
replace stop_bonus_`k'=0 if stop_bonus_`k'==.

gen l1_xmas_`k'=jrl12_`k'/12
replace l1_xmas_`k'=0 if l1_xmas_`k'==.
gen l1_bonus_`k'=jrl14_`k'/12
replace l1_bonus_`k'=0 if l1_bonus_`k'==.

gen l2_xmas_`k'=jrt12_`k'/12
replace l2_xmas_`k'=0 if l2_xmas_`k'==.
gen l2_bonus_`k'=jrt14_`k'/12
replace l2_bonus_`k'=0 if l2_bonus_`k'==.

gen start_xmas_`k'=jrs12_`k'/12
replace start_xmas_`k'=0 if start_xmas_`k'==.
gen start_bonus_`k'=jrs14_`k'/12
replace start_bonus_`k'=0 if start_bonus_`k'==.

replace stop_earnbt_`k'=stop_earnbt_`k' + stop_xmas_`k' + stop_bonus_`k'
replace stop_earnat_`k'=stop_earnat_`k' + stop_xmas_`k' + stop_bonus_`k'
replace l1_earnbt_`k'=l1_earnbt_`k' + l1_xmas_`k' + l1_bonus_`k'
replace l1_earnat_`k'=l1_earnat_`k' + l1_xmas_`k' + l1_bonus_`k'
replace l2_earnbt_`k'=l2_earnbt_`k' + l2_xmas_`k' + l2_bonus_`k'
replace l2_earnat_`k'=l2_earnat_`k' + l2_xmas_`k' + l2_bonus_`k'
replace start_earnbt_`k'=start_earnbt_`k' + start_xmas_`k' + start_bonus_`k'
replace start_earnat_`k'=start_earnat_`k' + start_xmas_`k' + start_bonus_`k'

/*apprentice allowances*/
/*food*/
replace jrac06_`k'=0 if jrac06_`k'==. & jr03_`k'=="Manufacturing apprentice"
replace jraf06_`k'=0 if jraf06_`k'==. & jr03_`k'=="Manufacturing apprentice" & jraf03_`k'~=.
replace jrac19_`k'=0 if jrac19_`k'==. & jr03_`k'=="Manufacturing apprentice" & jrac14_`k'=="Yes"
replace jrac32_`k'=0 if jrac32_`k'==. & jr03_`k'=="Manufacturing apprentice" & jrac27_`k'=="Yes"
replace jraa06_`k'=0 if jraa06_`k'==. & jr03_`k'=="Manufacturing apprentice" & jraa01_`k'=="Yes"

gen stop_afooda_`k'=jrac06_`k' if jr03_`k'=="Manufacturing apprentice"
replace stop_afooda_`k'=jraf06_`k' if stop_afooda_`k'==. & jr03_`k'=="Manufacturing apprentice"
gen l1_afooda_`k'=jrac19_`k' if jr03_`k'=="Manufacturing apprentice"
gen l2_afooda_`k'=jrac32_`k' if jr03_`k'=="Manufacturing apprentice"
gen start_afooda_`k'=jraa06_`k' if jr03_`k'=="Manufacturing apprentice"

/*housing*/
replace jrac09_`k'=0 if jrac09_`k'==. & jr03_`k'=="Manufacturing apprentice"
replace jraf09_`k'=0 if jraf09_`k'==. & jr03_`k'=="Manufacturing apprentice" & jraf03_`k'~=.
replace jrac22_`k'=0 if jrac22_`k'==. & jr03_`k'=="Manufacturing apprentice" & jrac14_`k'=="Yes"
replace jrac35_`k'=0 if jrac35_`k'==. & jr03_`k'=="Manufacturing apprentice" & jrac27_`k'=="Yes"
replace jraa09_`k'=0 if jraa09_`k'==. & jr03_`k'=="Manufacturing apprentice" & jraa01_`k'=="Yes"

gen stop_ahousea_`k'=jrac09_`k' if jr03_`k'=="Manufacturing apprentice"
replace stop_ahousea_`k'=jraf09_`k' if stop_ahousea_`k'==. & jr03_`k'=="Manufacturing apprentice"
gen l1_ahousea_`k'=jrac22_`k' if jr03_`k'=="Manufacturing apprentice"
gen l2_ahousea_`k'=jrac35_`k' if jr03_`k'=="Manufacturing apprentice"
gen start_ahousea_`k'=jraa09_`k' if jr03_`k'=="Manufacturing apprentice"

/*clothing*/
replace jrac12_`k'=0 if jrac12_`k'==. & jr03_`k'=="Manufacturing apprentice"
replace jraf12_`k'=0 if jraf12_`k'==. & jr03_`k'=="Manufacturing apprentice" & jraf03_`k'~=.
replace jrac25_`k'=0 if jrac25_`k'==. & jr03_`k'=="Manufacturing apprentice" & jrac14_`k'=="Yes"
replace jrac38_`k'=0 if jrac38_`k'==. & jr03_`k'=="Manufacturing apprentice" & jrac27_`k'=="Yes"
replace jraa12_`k'=0 if jraa12_`k'==. & jr03_`k'=="Manufacturing apprentice" & jraa01_`k'=="Yes"

gen stop_aclotha_`k'=jrac12_`k' if jr03_`k'=="Manufacturing apprentice"
replace stop_aclotha_`k'=jraf12_`k' if stop_aclotha_`k'==. & jr03_`k'=="Manufacturing apprentice"
gen l1_aclotha_`k'=jrac25_`k' if jr03_`k'=="Manufacturing apprentice"
gen l2_aclotha_`k'=jrac38_`k' if jr03_`k'=="Manufacturing apprentice"
gen start_aclotha_`k'=jraa12_`k' if jr03_`k'=="Manufacturing apprentice"

gen stop_aall_`k'=stop_afooda_`k'+stop_ahousea_`k'+stop_aclotha_`k'
gen l1_aall_`k'=l1_afooda_`k'+l1_ahousea_`k'+l1_aclotha_`k'
gen l2_aall_`k'=l2_afooda_`k'+l2_ahousea_`k'+l2_aclotha_`k'
gen start_aall_`k'=start_afooda_`k'+start_ahousea_`k'+start_aclotha_`k'

/*apprentice earnings*/

replace stop_earnbt_`k'=0 if stop_earnbt_`k'==. & jr03_`k'=="Manufacturing apprentice"
replace l1_earnbt_`k'=0 if l1_earnbt_`k'==. & jr03_`k'=="Manufacturing apprentice"
replace l2_earnbt_`k'=0 if l2_earnbt_`k'==. & jr03_`k'=="Manufacturing apprentice"
replace start_earnbt_`k'=0 if start_earnbt_`k'==. & jr03_`k'=="Manufacturing apprentice"

replace stop_earnbt_`k' = (jrac03_`k'+stop_aall_`k')*8*27 if jraa00_`k'=="Hour" & jr03_`k'=="Manufacturing apprentice"
replace stop_earnbt_`k' = (jrac03_`k'+stop_aall_`k')*27 if jraa00_`k'=="Day" & jr03_`k'=="Manufacturing apprentice"
replace stop_earnbt_`k' = (jrac03_`k'+stop_aall_`k')*4.5 if jraa00_`k'=="Week" & jr03_`k'=="Manufacturing apprentice"
replace stop_earnbt_`k' = (jrac03_`k'+stop_aall_`k') if jraa00_`k'=="Month" & jr03_`k'=="Manufacturing apprentice"

replace stop_earnbt_`k' = (jraf03_`k'+stop_aall_`k')*8*27 if jraa00_`k'=="Hour" & jr03_`k'=="Manufacturing apprentice" & stop_earnbt_`k'==.
replace stop_earnbt_`k' = (jraf03_`k'+stop_aall_`k')*27 if jraa00_`k'=="Day" & jr03_`k'=="Manufacturing apprentice" & stop_earnbt_`k'==.
replace stop_earnbt_`k' = (jraf03_`k'+stop_aall_`k')*4.5 if jraa00_`k'=="Week" & jr03_`k'=="Manufacturing apprentice" & stop_earnbt_`k'==.
replace stop_earnbt_`k' = (jraf03_`k'+stop_aall_`k') if jraa00_`k'=="Month" & jr03_`k'=="Manufacturing apprentice" & stop_earnbt_`k'==.

replace l1_earnbt_`k' = (jrac16_`k'+l1_aall_`k')*8*27 if jraa00_`k'=="Hour" & jr03_`k'=="Manufacturing apprentice"
replace l1_earnbt_`k' = (jrac16_`k'+l1_aall_`k')*27 if jraa00_`k'=="Day" & jr03_`k'=="Manufacturing apprentice"
replace l1_earnbt_`k' = (jrac16_`k'+l1_aall_`k')*4.5 if jraa00_`k'=="Week" & jr03_`k'=="Manufacturing apprentice"
replace l1_earnbt_`k' = (jrac16_`k'+l1_aall_`k') if jraa00_`k'=="Month" & jr03_`k'=="Manufacturing apprentice"

replace l2_earnbt_`k' = (jrac29_`k'+l2_aall_`k')*8*27 if jraa00_`k'=="Hour" & jr03_`k'=="Manufacturing apprentice"
replace l2_earnbt_`k' = (jrac29_`k'+l2_aall_`k')*27 if jraa00_`k'=="Day" & jr03_`k'=="Manufacturing apprentice"
replace l2_earnbt_`k' = (jrac29_`k'+l2_aall_`k')*4.5 if jraa00_`k'=="Week" & jr03_`k'=="Manufacturing apprentice"
replace l2_earnbt_`k' = (jrac29_`k'+l2_aall_`k') if jraa00_`k'=="Month" & jr03_`k'=="Manufacturing apprentice"


replace start_earnbt_`k' = (jraa03_`k'+start_aall_`k')*8*27 if jraa00_`k'=="Hour" & jr03_`k'=="Manufacturing apprentice"
replace start_earnbt_`k' = (jraa03_`k'+start_aall_`k')*27 if jraa00_`k'=="Day" & jr03_`k'=="Manufacturing apprentice"
replace start_earnbt_`k' = (jraa03_`k'+start_aall_`k')*4.5 if jraa00_`k'=="Week" & jr03_`k'=="Manufacturing apprentice"
replace start_earnbt_`k' = (jraa03_`k'+start_aall_`k') if jraa00_`k'=="Month" & jr03_`k'=="Manufacturing apprentice"

replace stop_earnat_`k'=stop_earnbt_`k' if stop_earnat_`k'==. & jr03_`k'=="Manufacturing apprentice" /*assume before tax and after tax the same*/
replace l1_earnat_`k'=l1_earnbt_`k' if l1_earnat_`k'==. & jr03_`k'=="Manufacturing apprentice"
replace l2_earnat_`k'=l2_earnbt_`k' if l2_earnat_`k'==. & jr03_`k'=="Manufacturing apprentice"
replace start_earnat_`k'=start_earnbt_`k' if start_earnat_`k'==. & jr03_`k'=="Manufacturing apprentice"

/*occupational variables*/

gen stop_mgmt_`k'=0 if activity_`k'=="Employed" | activity_`k'=="Apprentice"
replace stop_mgmt_`k'=1 if jrn01_`k'==1 | jrn01_`k'==2
replace stop_mgmt_`k'=1 if final2_`k'==1 | final2_`k'==2
gen l1_mgmt_`k'=0 if activity_`k'=="Employed" | activity_`k'=="Apprentice"
replace l1_mgmt_`k'=1 if jrl02_`k'==1 | jrl02_`k'==2
gen l2_mgmt_`k'=0 if activity_`k'=="Employed" | activity_`k'=="Apprentice"
replace l2_mgmt_`k'=1 if jrt02_`k'==1 | jrt02_`k'==2
gen start_mgmt_`k'=0 if activity_`k'=="Employed" | activity_`k'=="Apprentice"
replace start_mgmt_`k'=1 if jrs01_`k'==1 | jrs01_`k'==2

gen stop_admin_`k'=0 if activity_`k'=="Employed" | activity_`k'=="Apprentice"
replace stop_admin_`k'=1 if jrn01_`k'==5
replace stop_admin_`k'=1 if final2_`k'==5
gen l1_admin_`k'=0 if activity_`k'=="Employed" | activity_`k'=="Apprentice"
replace l1_admin_`k'=1 if jrl02_`k'==5
gen l2_admin_`k'=0 if activity_`k'=="Employed" | activity_`k'=="Apprentice"
replace l2_admin_`k'=1 if jrt02_`k'==5
gen start_admin_`k'=0 if activity_`k'=="Employed" | activity_`k'=="Apprentice"
replace start_admin_`k'=1 if jrs01_`k'==5

gen stop_proffes_`k'=0 if activity_`k'=="Employed" | activity_`k'=="Apprentice"
replace stop_proffes_`k'=1 if jrn01_`k'==3 | jrn01_`k'==4 | jrn01_`k'==6
replace stop_proffes_`k'=1 if final2_`k'==3 | final2_`k'==4 | final2_`k'==6
gen l1_proffes_`k'=0 if activity_`k'=="Employed" | activity_`k'=="Apprentice"
replace l1_proffes_`k'=1 if jrl02_`k'==3 | jrl02_`k'==4 | jrl02_`k'==6
gen l2_proffes_`k'=0 if activity_`k'=="Employed" | activity_`k'=="Apprentice"
replace l2_proffes_`k'=1 if jrt02_`k'==3 | jrt02_`k'==4 | jrt02_`k'==6
gen start_proffes_`k'=0 if activity_`k'=="Employed" | activity_`k'=="Apprentice"
replace start_proffes_`k'=1 if jrs01_`k'==3 | jrs01_`k'==4 | jrs01_`k'==6


gen stop_sales_`k'=0 if activity_`k'=="Employed" | activity_`k'=="Apprentice"
replace stop_sales_`k'=1 if jrn01_`k'==7 | jrn01_`k'==9 | jrn01_`k'==10
replace stop_sales_`k'=1 if final2_`k'==7 | final2_`k'==9 | final2_`k'==10
gen l1_sales_`k'=0 if activity_`k'=="Employed" | activity_`k'=="Apprentice"
replace l1_sales_`k'=1 if jrl02_`k'==7 | jrl02_`k'==9 | jrl02_`k'==10
gen l2_sales_`k'=0 if activity_`k'=="Employed" | activity_`k'=="Apprentice"
replace l2_sales_`k'=1 if jrt02_`k'==7 | jrt02_`k'==9 | jrt02_`k'==10
gen start_sales_`k'=0 if activity_`k'=="Employed" | activity_`k'=="Apprentice"
replace start_sales_`k'=1 if jrs01_`k'==7 | jrs01_`k'==9 | jrs01_`k'==10

gen stop_super_`k'=0 if activity_`k'=="Employed" | activity_`k'=="Apprentice"
replace stop_super_`k'=1 if jrn01_`k'==12
replace stop_super_`k'=1 if final2_`k'==12
gen l1_super_`k'=0 if activity_`k'=="Employed" | activity_`k'=="Apprentice"
replace l1_super_`k'=1 if jrl02_`k'==12
gen l2_super_`k'=0 if activity_`k'=="Employed" | activity_`k'=="Apprentice"
replace l2_super_`k'=1 if jrt02_`k'==12
gen start_super_`k'=0 if activity_`k'=="Employed" | activity_`k'=="Apprentice"
replace start_super_`k'=1 if jrs01_`k'==12

gen stop_tech_`k'=0 if activity_`k'=="Employed" | activity_`k'=="Apprentice"
replace stop_tech_`k'=1 if jrn01_`k'==13 | jrn01_`k'==14
replace stop_tech_`k'=1 if final2_`k'==13 | final2_`k'==14
gen l1_tech_`k'=0 if activity_`k'=="Employed" | activity_`k'=="Apprentice"
replace l1_tech_`k'=1 if jrl02_`k'==13 | jrl02_`k'==14
gen l2_tech_`k'=0 if activity_`k'=="Employed" | activity_`k'=="Apprentice"
replace l2_tech_`k'=1 if jrt02_`k'==13 | jrt02_`k'==14
gen start_tech_`k'=0 if activity_`k'=="Employed" | activity_`k'=="Apprentice"
replace start_tech_`k'=1 if jrs01_`k'==13 | jrs01_`k'==14

gen stop_prod_`k'=0 if activity_`k'=="Employed" | activity_`k'=="Apprentice"
replace stop_prod_`k'=1 if jrn01_`k'==15 | jrn01_`k'==16 | jrn01_`k'==19 | jrn01_`k'==20
replace stop_prod_`k'=1 if final2_`k'==15 | final2_`k'==16 | final2_`k'==19 | final2_`k'==20
gen l1_prod_`k'=0 if activity_`k'=="Employed" | activity_`k'=="Apprentice"
replace l1_prod_`k'=1 if jrl02_`k'==15 | jrl02_`k'==16 | jrl02_`k'==19 | jrl02_`k'==20
gen l2_prod_`k'=0 if activity_`k'=="Employed" | activity_`k'=="Apprentice"
replace l2_prod_`k'=1 if jrt02_`k'==15 | jrt02_`k'==16 | jrt02_`k'==19 | jrt02_`k'==20
gen start_prod_`k'=0 if activity_`k'=="Employed" | activity_`k'=="Apprentice"
replace start_prod_`k'=1 if jrs01_`k'==15 | jrs01_`k'==16 | jrs01_`k'==19 | jrs01_`k'==20

gen stop_appren_`k'=0 if activity_`k'=="Employed" | activity_`k'=="Apprentice"
replace stop_appren_`k'=1 if jrn01_`k'==18 | activity_`k'=="Apprentice"
replace stop_appren_`k'=1 if final2_`k'==18 | activity_`k'=="Apprentice"
gen l1_appren_`k'=0 if activity_`k'=="Employed" | activity_`k'=="Apprentice"
replace l1_appren_`k'=1 if jrl02_`k'==18 | activity_`k'=="Apprentice"
gen l2_appren_`k'=0 if activity_`k'=="Employed" | activity_`k'=="Apprentice"
replace l2_appren_`k'=1 if jrt02_`k'==18 | activity_`k'=="Apprentice"
gen start_appren_`k'=0 if activity_`k'=="Employed" | activity_`k'=="Apprentice"
replace start_appren_`k'=1 if jrs01_`k'==18 | activity_`k'=="Apprentice"

gen stop_master_`k'=0 if activity_`k'=="Employed" | activity_`k'=="Apprentice"
replace stop_master_`k'=1 if jrn01_`k'==17
replace stop_master_`k'=1 if final2_`k'==17
gen l1_master_`k'=0 if activity_`k'=="Employed" | activity_`k'=="Apprentice"
replace l1_master_`k'=1 if jrl02_`k'==17
gen l2_master_`k'=0 if activity_`k'=="Employed" | activity_`k'=="Apprentice"
replace l2_master_`k'=1 if jrt02_`k'==17
gen start_master_`k'=0 if activity_`k'=="Employed" | activity_`k'=="Apprentice"
replace start_master_`k'=1 if jrs01_`k'==17

gen stop_support_`k'=0 if activity_`k'=="Employed" | activity_`k'=="Apprentice"
replace stop_support_`k'=1 if jrn01_`k'==11 | jrn01_`k'==8
replace stop_support_`k'=1 if final2_`k'==11 | final2_`k'==8
gen l1_support_`k'=0 if activity_`k'=="Employed" | activity_`k'=="Apprentice"
replace l1_support_`k'=1 if jrl02_`k'==11 | jrl02_`k'==8
gen l2_support_`k'=0 if activity_`k'=="Employed" | activity_`k'=="Apprentice"
replace l2_support_`k'=1 if jrt02_`k'==11 | jrt02_`k'==8
gen start_support_`k'=0 if activity_`k'=="Employed" | activity_`k'=="Apprentice"
replace start_support_`k'=1 if jrs01_`k'==11 | jrs01_`k'==8

/******self-employed******/
gen stop_trading_`k'=0 if activity_`k'~=""
replace stop_trading_`k'=1 if js22_`k'=="Trading"
gen l1_trading_`k'=0 if activity_`k'~=""
replace l1_trading_`k'=1 if js35_`k'=="Trading"
gen start_trading_`k'=0 if activity_`k'~=""
replace start_trading_`k'=1 if js46_`k'=="Trading"

gen stop_ownbus_`k'=0 if activity_`k'~=""
replace stop_ownbus_`k'=1 if js22_`k'=="Own business / other self employed activity"
gen l1_ownbus_`k'=0 if activity_`k'~=""
replace l1_ownbus_`k'=1 if js35_`k'=="Own business / other self employed activity"
gen start_ownbus_`k'=0 if activity_`k'~=""
replace start_ownbus_`k'=1 if js46_`k'=="Own business / other self employed activity"

gen stop_othsemp_`k'=0 if activity_`k'~=""
replace stop_othsemp_`k'=1 if js22_`k'=="Other"
gen l1_othsemp_`k'=0 if activity_`k'~=""
replace l1_othsemp_`k'=1 if js35_`k'=="Other"
gen start_othsemp_`k'=0 if activity_`k'~=""
replace start_othsemp_`k'=1 if js46_`k'=="Other"

/*earnings*/
gen stop_mprof_trad_`k'=js23_`k' if js19_`k'=="Month" 
replace stop_mprof_trad_`k'=js23_`k' * 4.5 if js19_`k'=="Week" 
replace stop_mprof_trad_`k'=js23_`k' * 27 if js19_`k'=="Day"  
replace stop_mprof_trad_`k'=js23_`k' * 8 * 27 if js19_`k'=="Hour"

gen stop_mrev_trad_`k'=js24_`k' if js19_`k'=="Month" 
replace stop_mrev_trad_`k'=js24_`k' * 4.5 if js19_`k'=="Week" 
replace stop_mrev_trad_`k'=js24_`k' * 27 if js19_`k'=="Day"  
replace stop_mrev_trad_`k'=js24_`k' * 8 * 27 if js19_`k'=="Hour"


gen l1_mprof_trad_`k'=js36_`k' if js19_`k'=="Month" 
replace l1_mprof_trad_`k'=js36_`k' * 4.5 if js19_`k'=="Week" 
replace l1_mprof_trad_`k'=js36_`k' * 27 if js19_`k'=="Day"  
replace l1_mprof_trad_`k'=js36_`k' * 8 * 27 if js19_`k'=="Hour"

gen l1_mrev_trad_`k'=js37_`k' if js19_`k'=="Month" 
replace l1_mrev_trad_`k'=js37_`k' * 4.5 if js19_`k'=="Week" 
replace l1_mrev_trad_`k'=js37_`k' * 27 if js19_`k'=="Day"  
replace l1_mrev_trad_`k'=js37_`k' * 8 * 27 if js19_`k'=="Hour"

gen start_mprof_trad_`k'=js47_`k' if js19_`k'=="Month" 
replace start_mprof_trad_`k'=js47_`k' * 4.5 if js19_`k'=="Week" 
replace start_mprof_trad_`k'=js47_`k' * 27 if js19_`k'=="Day"  
replace start_mprof_trad_`k'=js47_`k' * 8 * 27 if js19_`k'=="Hour"

gen start_mrev_trad_`k'=js48_`k' if js19_`k'=="Month" 
replace start_mrev_trad_`k'=js48_`k' * 4.5 if js19_`k'=="Week" 
replace start_mrev_trad_`k'=js48_`k' * 27 if js19_`k'=="Day"  
replace start_mrev_trad_`k'=js48_`k' * 8 * 27 if js19_`k'=="Hour"

replace stop_earnbt_`k' = stop_mprof_trad_`k' if stop_earnbt_`k'==.
replace stop_earnat_`k' = stop_mprof_trad_`k' if stop_earnat_`k'==. /*assuming for self-employed these are the same*/
replace l1_earnbt_`k' = l1_mprof_trad_`k' if l1_earnbt_`k'==.
replace l1_earnat_`k' = l1_mprof_trad_`k' if l1_earnat_`k'==.
replace start_earnbt_`k' = start_mprof_trad_`k' if start_earnbt_`k'==.
replace start_earnat_`k' = start_mprof_trad_`k' if start_earnat_`k'==. 


/*now other*/
gen stop_mprof_oth_`k'=js27_`k' if js19_`k'=="Month" 
replace stop_mprof_oth_`k'=js27_`k' * 4.5 if js19_`k'=="Week" 
replace stop_mprof_oth_`k'=js27_`k' * 27 if js19_`k'=="Day"
replace stop_mprof_oth_`k'=js27_`k' * 8 * 27 if js19_`k'=="Hour" 

gen stop_mrev_oth_`k'=js28_`k' if js19_`k'=="Month"
replace stop_mrev_oth_`k'=js28_`k' * 4.5 if js19_`k'=="Week" 
replace stop_mrev_oth_`k'=js28_`k' * 27 if js19_`k'=="Day" 
replace stop_mrev_oth_`k'=js28_`k' * 8 * 27 if js19_`k'=="Hour"

gen stop_mcost_oth_`k'=js29_`k' if js19_`k'=="Month" 
replace stop_mcost_oth_`k'=js29_`k' * 4.5 if js19_`k'=="Week" 
replace stop_mcost_oth_`k'=js29_`k' * 27 if js19_`k'=="Day"
replace stop_mcost_oth_`k'=js29_`k' * 8 * 27 if js19_`k'=="Hour"

gen l1_mprof_oth_`k'=js38_`k' if js19_`k'=="Month" 
replace l1_mprof_oth_`k'=js38_`k' * 4.5 if js19_`k'=="Week" 
replace l1_mprof_oth_`k'=js38_`k' * 27 if js19_`k'=="Day"
replace l1_mprof_oth_`k'=js38_`k' * 8 * 27 if js19_`k'=="Hour" 

gen l1_mrev_oth_`k'=js39_`k' if js19_`k'=="Month"
replace l1_mrev_oth_`k'=js39_`k' * 4.5 if js19_`k'=="Week" 
replace l1_mrev_oth_`k'=js39_`k' * 27 if js19_`k'=="Day" 
replace l1_mrev_oth_`k'=js39_`k' * 8 * 27 if js19_`k'=="Hour"

gen l1_mcost_oth_`k'=js40_`k' if js19_`k'=="Month" 
replace l1_mcost_oth_`k'=js40_`k' * 4.5 if js19_`k'=="Week" 
replace l1_mcost_oth_`k'=js40_`k' * 27 if js19_`k'=="Day"
replace l1_mcost_oth_`k'=js40_`k' * 8 * 27 if js19_`k'=="Hour"

gen start_mprof_oth_`k'=js49_`k' if js19_`k'=="Month" 
replace start_mprof_oth_`k'=js49_`k' * 4.5 if js19_`k'=="Week" 
replace start_mprof_oth_`k'=js49_`k' * 27 if js19_`k'=="Day"
replace start_mprof_oth_`k'=js49_`k' * 8 * 27 if js19_`k'=="Hour" 

gen start_mrev_oth_`k'=js50_`k' if js19_`k'=="Month"
replace start_mrev_oth_`k'=js50_`k' * 4.5 if js19_`k'=="Week" 
replace start_mrev_oth_`k'=js50_`k' * 27 if js19_`k'=="Day" 
replace start_mrev_oth_`k'=js50_`k' * 8 * 27 if js19_`k'=="Hour"

gen start_mcost_oth_`k'=js51_`k' if js19_`k'=="Month" 
replace start_mcost_oth_`k'=js51_`k' * 4.5 if js19_`k'=="Week" 
replace start_mcost_oth_`k'=js51_`k' * 27 if js19_`k'=="Day"
replace start_mcost_oth_`k'=js51_`k' * 8 * 27 if js19_`k'=="Hour"

replace stop_earnbt_`k' = stop_mprof_oth_`k' if stop_earnbt_`k'==.
replace stop_earnat_`k' = stop_mprof_oth_`k' if stop_earnat_`k'==. /*assuming for self-employed these are the same*/
replace l1_earnbt_`k' = l1_mprof_oth_`k' if l1_earnbt_`k'==.
replace l1_earnat_`k' = l1_mprof_oth_`k' if l1_earnat_`k'==.
replace start_earnbt_`k' = start_mprof_oth_`k' if start_earnbt_`k'==.
replace start_earnat_`k' = start_mprof_oth_`k' if start_earnat_`k'==.


local k=`k'+1
}

save "$worker_wave2_public\all_merge_1.dta", replace



