/*do file for NIgerian labour*/
/*uses merged_1 file*/

clear

set more off
set mem 20m
global workers_wave2 "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\Nigeria2005\Neil_June_2015_Data"
global worker_wave2_public "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\Nigeria Firm Data_Public_June15\Wave2_2004\Worker_Data_Wave2"

use "$worker_wave2_public\all_merge_1.dta", clear

local k=1
while `k'<=9{
replace stop_earnbt_`k'=stop_earnat_`k' if stop_earnbt_`k'==. | stop_earnbt_`k'==0
replace stop_earnat_`k'=stop_earnbt_`k' if stop_earnat_`k'==. | stop_earnat_`k'==0

replace start_earnbt_`k'=start_earnat_`k' if start_earnbt_`k'==. | start_earnbt_`k'==0
replace start_earnat_`k'=start_earnbt_`k' if start_earnat_`k'==. | start_earnat_`k'==0
local k=`k'+1
}

local k=1
while `k'<=9{
replace l1_earnbt_`k'=l1_earnat_`k' if l1_earnbt_`k'==. | l1_earnbt_`k'==0
replace l1_earnat_`k'=l1_earnbt_`k' if l1_earnat_`k'==. | l1_earnat_`k'==0

replace l2_earnbt_`k'=l2_earnat_`k' if l2_earnbt_`k'==. | l2_earnbt_`k'==0
replace l2_earnat_`k'=l2_earnbt_`k' if l2_earnat_`k'==. | l2_earnat_`k'==0
local k=`k'+1
}

/*education - follows Francis's SAS programme*/
gen educ = 0 if ie05=="None" | ie05=="Koranic (KORA)"
replace educ = 6 if ie05=="P1 through P6"
replace educ = 11 if ie05=="S1 through S5"
replace educ = 9 if ie05=="JSS1 through JSS3"
replace educ = 12 if ie05=="SSS1 through SSS3"

replace educ = educ+2 if ie07=="TTC" | ie07=="OND/NCE"
replace educ = 15 if ie07=="HND"
replace educ = 16 if ie07=="B.Sc./B.A." | ie07=="Professional Degrees"
replace educ = 18 if ie07=="M.Sc./M.A."
replace educ = 21 if ie07=="Ph.D."

/* education not great but best can do at the moment*/


gen age=i03
gen male=1 if i02=="Male"
replace male=0 if i02=="Female"
gen age_sq=age*age


/*previous activities*/
/*number*/

gen no_prev_emp=0
gen no_prev_selfemp=0
gen no_prev_app=0

gen no_prev_unemp=0
gen no_prev_jobs=0
local k=2
while `k'<=9{
replace no_prev_emp=no_prev_emp+1 if activity_`k'=="Employed"
replace no_prev_selfemp=no_prev_selfemp+1 if activity_`k'=="Self-employed"
replace no_prev_app=no_prev_app+1 if activity_`k'=="Apprentice"
replace no_prev_unemp=no_prev_unemp+1 if activity_`k'=="Unemployed"
replace no_prev_jobs=no_prev_jobs+1 if activity_`k'=="Employed" | activity_`k'=="Apprentice" | activity_`k'=="Self-employed"
local k=`k'+1
}

/*dummy variables for activities - all obs*/
local k=1
while `k'<=9{
gen dum_emp_`k'=0
replace dum_emp_`k'=1 if activity_`k'=="Employed"

gen dum_selfemp_`k'=0 /* if activity_`k'~=""*/
replace dum_selfemp_`k'=1 if activity_`k'=="Self-employed"

gen dum_unemp_`k'=0 /*if activity_`k'~=""*/
replace dum_unemp_`k'=1 if activity_`k'=="Unemployed"

gen dum_app_`k'=0 /*if activity_`k'~=""*/
replace dum_app_`k'=1 if activity_`k'=="Apprentice"

gen dum_not_`k'=0 /*if activity_`k'~=""*/
replace dum_not_`k'=1 if activity_`k'=="Not in labour force"

gen dum_noact_`k'=0
replace dum_noact_`k'=1 if activity_`k'==""

local k=`k'+1
}

/*location variables would go here*/


gen nactivity_1=1 if activity_1=="Apprentice"
replace nactivity_1=2 if activity_1=="Employed"
replace nactivity_1=3 if activity_1=="Self-employed"
replace nactivity_1=4 if activity_1=="Unemployed"
replace nactivity_1=5 if activity_1=="Not in labour force"

gen ltenure_1=log(tenure_1)
gen lstop_earnat_1=log(stop_earnat_1)

/*first activity*/

gen first_activity=activity_1
local k=2
while `k'<=8{
replace first_activity=activity_`k' if activity_`k'~=""
local k=`k'+1
}

gen first_jobact=activity_1
gen first_jobact_tenure=tenure_1
local k=1
while `k'<=9{
replace first_jobact=activity_`k' if activity_`k'=="Employed" | activity_`k'=="Self-employed" | activity_`k'=="Apprentice"
replace first_jobact_tenure=tenure_`k' if activity_`k'=="Employed" | activity_`k'=="Self-employed" | activity_`k'=="Apprentice"
local k=`k'+1
}


/*first_job & first_job_tenure*/
gen first_job="None"
gen first_job_tenure=.
local k=1
while `k'<=9{
local j=`k'+1
replace first_job=activity_`k' if activity_`k'=="Employed" | activity_`k'=="Self-employed" | activity_`k'=="Apprentice"
replace first_job_tenure=tenure_`k' if activity_`k'=="Employed" | activity_`k'=="Self-employed" | activity_`k'=="Apprentice"
local k=`k'+1
}


gen first_job_dum_1=0
replace first_job_dum_1=1 if (activity_2~="Employed" & activity_2~="Self-employed" & activity_2~="Apprentice") & (activity_3~="Employed" & activity_3~="Self-employed" & activity_3~="Apprentice") & (activity_4~="Employed" & activity_4~="Self-employed" & activity_4~="Apprentice") & (activity_5~="Employed" & activity_5~="Self-employed" & activity_5~="Apprentice") & (activity_6~="Employed" & activity_6~="Self-employed" & activity_6~="Apprentice") & (activity_7~="Employed" & activity_7~="Self-employed" & activity_7~="Apprentice") & (activity_8~="Employed" & activity_8~="Self-employed" & activity_8~="Apprentice") & (activity_9~="Employed" & activity_9~="Self-employed" & activity_9~="Apprentice")
gen first_job_dum_2=0
replace first_job_dum_2=1 if first_job_dum_1 ~=1 & (activity_3~="Employed" & activity_3~="Self-employed" & activity_3~="Apprentice") & (activity_4~="Employed" & activity_4~="Self-employed" & activity_4~="Apprentice") & (activity_5~="Employed" & activity_5~="Self-employed" & activity_5~="Apprentice") & (activity_6~="Employed" & activity_6~="Self-employed" & activity_6~="Apprentice") & (activity_7~="Employed" & activity_7~="Self-employed" & activity_7~="Apprentice") & (activity_8~="Employed" & activity_8~="Self-employed" & activity_8~="Apprentice") & (activity_9~="Employed" & activity_9~="Self-employed" & activity_9~="Apprentice")
gen first_job_dum_3=0
replace first_job_dum_3=1 if first_job_dum_1 ~=1 &  first_job_dum_2 ~=1 & (activity_4~="Employed" & activity_4~="Self-employed" & activity_4~="Apprentice") & (activity_5~="Employed" & activity_5~="Self-employed" & activity_5~="Apprentice") & (activity_6~="Employed" & activity_6~="Self-employed" & activity_6~="Apprentice") & (activity_7~="Employed" & activity_7~="Self-employed" & activity_7~="Apprentice") & (activity_8~="Employed" & activity_8~="Self-employed" & activity_8~="Apprentice") & (activity_9~="Employed" & activity_9~="Self-employed" & activity_9~="Apprentice")
gen first_job_dum_4=0
replace first_job_dum_4=1 if first_job_dum_1 ~=1 &  first_job_dum_2 ~=1 & first_job_dum_3 ~=1 & (activity_5~="Employed" & activity_5~="Self-employed" & activity_5~="Apprentice") & (activity_6~="Employed" & activity_6~="Self-employed" & activity_6~="Apprentice") & (activity_7~="Employed" & activity_7~="Self-employed" & activity_7~="Apprentice") & (activity_8~="Employed" & activity_8~="Self-employed" & activity_8~="Apprentice") & (activity_9~="Employed" & activity_9~="Self-employed" & activity_9~="Apprentice")
gen first_job_dum_5=0
replace first_job_dum_5=1 if first_job_dum_1 ~=1 &  first_job_dum_2 ~=1 & first_job_dum_3 ~=1 & first_job_dum_4 ~=1 & (activity_6~="Employed" & activity_6~="Self-employed" & activity_6~="Apprentice") & (activity_7~="Employed" & activity_7~="Self-employed" & activity_7~="Apprentice") & (activity_8~="Employed" & activity_8~="Self-employed" & activity_8~="Apprentice") & (activity_9~="Employed" & activity_9~="Self-employed" & activity_9~="Apprentice")
gen first_job_dum_6=0
replace first_job_dum_6=1 if first_job_dum_1 ~=1 &  first_job_dum_2 ~=1 & first_job_dum_3 ~=1 & first_job_dum_4 ~=1 & first_job_dum_5 ~=1 & (activity_7~="Employed" & activity_7~="Self-employed" & activity_7~="Apprentice") & (activity_8~="Employed" & activity_8~="Self-employed" & activity_8~="Apprentice") & (activity_9~="Employed" & activity_9~="Self-employed" & activity_9~="Apprentice")
gen first_job_dum_7=0
replace first_job_dum_7=1 if first_job_dum_1 ~=1 &  first_job_dum_2 ~=1 & first_job_dum_3 ~=1 & first_job_dum_4 ~=1 & first_job_dum_5 ~=1 & first_job_dum_6 ~=1 & (activity_8~="Employed" & activity_8~="Self-employed" & activity_8~="Apprentice") & (activity_9~="Employed" & activity_9~="Self-employed" & activity_9~="Apprentice")
gen first_job_dum_8=0
replace first_job_dum_8=1 if first_job_dum_1 ~=1 &  first_job_dum_2 ~=1 & first_job_dum_3 ~=1 & first_job_dum_4 ~=1 & first_job_dum_5 ~=1 & first_job_dum_6 ~=1 & first_job_dum_7 ~=1 & (activity_9~="Employed" & activity_9~="Self-employed" & activity_9~="Apprentice")
gen first_job_dum_9=0
replace first_job_dum_9=1 if first_job_dum_1 ~=1 &  first_job_dum_2 ~=1 & first_job_dum_3 ~=1 & first_job_dum_4 ~=1 & first_job_dum_5 ~=1 & first_job_dum_6 ~=1 & first_job_dum_7 ~=1 & first_job_dum_8 ~=1 & (activity_9=="Employed" | activity_9=="Self-employed" | activity_9=="Apprentice")



/*first activity/job start*/
gen first_act_start=start_act_1
gen first_job_start=start_act_1 if activity_1=="Employed" | activity_1=="Self-employed" | activity_1=="Apprentice"
gen first_jobact_start=start_act_1
local k=2
while `k'<=9{
replace first_act_start=start_act_`k' if activity_`k'~=""
replace first_job_start=start_act_`k' if activity_`k'=="Employed" | activity_`k'=="Self-employed" | activity_`k'=="Apprentice"
replace first_jobact_start=start_act_`k' if activity_`k'=="Employed" | activity_`k'=="Self-employed" | activity_`k'=="Apprentice"
local k=`k'+1
}
format first_act_start first_job_start first_jobact_start  %tm /*monthly date format*/

gen year_first_act_start=yofd(dofm (first_act_start))
gen year_first_job_start=yofd(dofm(first_job_start))
gen year_first_jobact_start=yofd(dofm(first_jobact_start))
gen year_act_start_1=yofd(dofm(start_act_1))
gen year_job_start_1=yofd(dofm(start_act_1)) if activity_1=="Employed" | activity_1=="Self-employed" | activity_1=="Trading" | activity_1=="Apprentice"
gen year_jobact_start_1=yofd(dofm(start_act_1))


/*lifetime tenure*/
gen lifetime_tenure_emp=0
gen lifetime_tenure_selfemp=0
gen lifetime_tenure_app=0
gen lifetime_tenure_unemp=0
gen lifetime_tenure_not=0
gen lifetime_tenure_job=0

local k=1
while `k'<=9{
replace tenure_`k'=0 if tenure_`k'==.
replace lifetime_tenure_emp=lifetime_tenure_emp + tenure_`k' if activity_`k'=="Employed"
replace lifetime_tenure_selfemp=lifetime_tenure_selfemp + tenure_`k' if activity_`k'=="Self-employed"
replace lifetime_tenure_app=lifetime_tenure_app + tenure_`k' if activity_`k'=="Apprentice"
replace lifetime_tenure_unemp=lifetime_tenure_unemp + tenure_`k' if activity_`k'=="Unemployed"
replace lifetime_tenure_not=lifetime_tenure_not + tenure_`k' if activity_`k'=="Not in labour force"
replace lifetime_tenure_job=lifetime_tenure_job + tenure_`k' if activity_`k'=="Employed" | activity_`k'=="Self-employed" | activity_`k'=="Apprentice"
local k=`k'+1
}
gen precur_lt_tenure_job=lifetime_tenure_job
replace precur_lt_tenure_job=lifetime_tenure_job-tenure_1 if activity_1=="Employed" | activity_1=="Self-employed" | activity_1=="Apprentice"

gen first_job_app=0 if first_job~=""
replace first_job_app=1 if first_job=="Apprentice"
gen first_job_emp=0 if first_job~=""
replace first_job_emp=1 if first_job=="Employed"
gen first_job_selfemp=0 if first_job~=""
replace first_job_selfemp=1 if first_job=="Self-employed"


gen curfirst_ee=0 if activity_1=="Apprentice" | activity_1=="Employed" | activity_1=="Self-employed"
replace curfirst_ee=1 if activity_1=="Employed" & first_job=="Employed" & no_prev_emp>0

gen curfirst_se=0 if activity_1=="Apprentice" | activity_1=="Employed" | activity_1=="Self-employed"
replace curfirst_se=1 if activity_1=="Self-employed" & first_job=="Employed"

gen curfirst_ae=0 if activity_1=="Apprentice" | activity_1=="Employed" | activity_1=="Self-employed"
replace curfirst_ae=1 if activity_1=="Apprentice" & first_job=="Employed"


gen curfirst_ss=0 if activity_1=="Apprentice" | activity_1=="Employed" | activity_1=="Self-employed"
replace curfirst_ss=1 if activity_1=="Self-employed" & first_job=="Self-employed" & no_prev_selfemp>0

gen curfirst_es=0 if activity_1=="Apprentice" | activity_1=="Employed" | activity_1=="Self-employed"
replace curfirst_es=1 if activity_1=="Employed" & first_job=="Self-employed"

gen curfirst_as=0 if activity_1=="Apprentice" | activity_1=="Employed" | activity_1=="Self-employed"
replace curfirst_as=1 if activity_1=="Apprentice" & first_job=="Self-employed"


gen curfirst_aa=0 if activity_1=="Apprentice" | activity_1=="Employed" | activity_1=="Self-employed"
replace curfirst_aa=1 if activity_1=="Apprentice" & first_job=="Apprentice" & no_prev_app>0

gen curfirst_ea=0 if activity_1=="Apprentice" | activity_1=="Employed" | activity_1=="Self-employed"
replace curfirst_ea=1 if activity_1=="Employed" & first_job=="Apprentice"

gen curfirst_sa=0 if activity_1=="Apprentice" | activity_1=="Employed" | activity_1=="Self-employed"
replace curfirst_sa=1 if activity_1=="Self-employed" & first_job=="Apprentice"


gen curfirst_e=0 if activity_1=="Apprentice" | activity_1=="Employed" | activity_1=="Self-employed"
replace curfirst_e=1 if activity_1=="Employed" & first_job=="Employed" & no_prev_emp==0

gen curfirst_s=0 if activity_1=="Apprentice" | activity_1=="Employed" | activity_1=="Self-employed"
replace curfirst_s=1 if activity_1=="Self-employed" & first_job=="Self-employed" & no_prev_selfemp==0

gen curfirst_a=0 if activity_1=="Apprentice" | activity_1=="Employed" | activity_1=="Self-employed"
replace curfirst_a=1 if activity_1=="Apprentice" & first_job=="Apprentice" & no_prev_app==0

gen cur_job_first=0 if first_job~=""
replace cur_job_first=1 if curfirst_a==1 | curfirst_e==1 | curfirst_s==1

gen nfirst_job=1 if first_job=="Apprentice"
replace nfirst_job=2 if first_job=="Employed"
replace nfirst_job=3 if first_job=="Self-employed"

gen nfirst_jobact=1 if first_jobact=="Apprentice"
replace nfirst_jobact=2 if first_jobact=="Employed"
replace nfirst_jobact=3 if first_jobact=="Self-employed"
replace nfirst_jobact=4 if first_jobact=="Unemployed"

gen ncurrent_job=1 if activity_1=="Apprentice"
replace ncurrent_job=2 if activity_1=="Employed"
replace ncurrent_job=3 if activity_1=="Self-employed"


/*variables that might be of interest for first job*/
/*date of birth*/
gen dob=2004-age
gen dob_20s=0 if dob~=.
replace dob_20s=1 if dob>=1920 & dob<1930
gen dob_30s=0 if dob~=.
replace dob_30s=1 if dob>=1930 & dob<1940
gen dob_40s=0 if dob~=.
replace dob_40s=1 if dob>=1940 & dob<1950
gen dob_50s=0 if dob~=.
replace dob_50s=1 if dob>=1950 & dob<1960
gen dob_60s=0 if dob~=.
replace dob_60s=1 if dob>=1960 & dob<1970
gen dob_70s=0 if dob~=.
replace dob_70s=1 if dob>=1970 & dob<1980
gen dob_80s=0 if dob~=.
replace dob_80s=1 if dob>=1980 & dob<1990
gen dob_90s=0 if dob~=.
replace dob_90s=1 if dob>=1990 & dob<2000

gen dob_x=20 if dob_20s==1
replace dob_x=30 if dob_30s==1
replace dob_x=40 if dob_40s==1
replace dob_x=50 if dob_50s==1
replace dob_x=60 if dob_60s==1
replace dob_x=70 if dob_70s==1
replace dob_x=80 if dob_80s==1
replace dob_x=90 if dob_90s==1


gen age_first_job=year_first_job_start-dob
gen age_first_act=year_first_act_start-dob
gen age_first_jobact=year_first_jobact_start-dob
gen age_sq_first_job=age_first_job*age_first_job
gen age_sq_first_act=age_first_act*age_first_act
gen age_sq_first_jobact=age_first_jobact*age_first_jobact

gen age_cur_job=year_job_start_1-dob
gen age_cur_act=year_act_start_1-dob
gen age_sq_cur_job=age_cur_job*age_cur_job
gen age_sq_cur_act=age_cur_act*age_cur_act

gen educ_sq = educ*educ

/*place of schooling - insert from text*/

/*parents' schooling job*/


/*interacting dob dummies and education gender*/
local k=2
while `k'<=9{
gen educ_dob_`k'0s = educ*dob_`k'0s
gen educsq_dob_`k'0s = educ_sq*dob_`k'0s
gen male_dob_`k'0s=male*dob_`k'0s
gen age_first_job_dob_`k'0s= age_first_job*dob_`k'0s
gen age_sq_first_job_dob_`k'0s= age_sq_first_job*dob_`k'0s
local k=`k'+1
}




/*interacting current activity with education, gender, age*/
gen educ_e=0 if educ~=.
replace educ_e=educ if activity_1=="Employed"
gen educsq_e=0 if educ_sq~=.
replace educsq_e=educ_sq if activity_1=="Employed"
gen male_e=0 if male~=.
replace male_e=male if activity_1=="Employed"
gen age_e=0 if age~=.
replace age_e=age if activity_1=="Employed"
gen agesq_e=0 if age_sq~=.
replace agesq_e=age_sq if activity_1=="Employed"
gen tenure_e_1=0 if tenure_1~=.
replace tenure_e_1=tenure_1 if activity_1=="Employed"

gen educ_a=0 if educ~=.
replace educ_a=educ if activity_1=="Apprentice"
gen educsq_a=0 if educ_sq~=.
replace educsq_a=educ_sq if activity_1=="Apprentice"
gen male_a=0 if male~=.
replace male_a=male if activity_1=="Apprentice"
gen age_a=0 if age~=.
replace age_a=age if activity_1=="Apprentice"
gen agesq_a=0 if age_sq~=.
replace agesq_a=age_sq if activity_1=="Apprentice"
gen tenure_a_1=0 if tenure_1~=.
replace tenure_a_1=tenure_1 if activity_1=="Apprentice"

gen educ_s=0 if educ~=.
replace educ_s=educ if activity_1=="Self-employed"
gen educsq_s=0 if educ_sq~=.
replace educsq_s=educ_sq if activity_1=="Self-employed"
gen male_s=0 if male~=.
replace male_s=male if activity_1=="Self-employed"
gen age_s=0 if age~=.
replace age_s=age if activity_1=="Self-employed"
gen agesq_s=0 if age_sq~=.
replace agesq_s=age_sq if activity_1=="Self-employed"
gen tenure_s_1=0 if tenure_1~=.
replace tenure_s_1=tenure_1 if activity_1=="Self-employed"


save "$worker_wave2_public\all_merge_2.dta", replace

