/*real earnings do file*/

clear all
set mem 50m
set maxvar 10000
set more off

global workers_wave2 "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\Nigeria2005\Neil_June_2015_Data"
global worker_wave2_public "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\Nigeria Firm Data_Public_June15\Wave2_2004\Worker_Data_Wave2"

*use "C:\Documents and Settings\Wits1\My Documents\Nigeria\Labour data\working data\all_merge_2.dta"
use "$worker_wave2_public\all_merge_2", clear

/*need to generate a firm identifier*/
gen wid_string=wid
tostring wid_string, replace
gen firmid=substr(wid_string,1,4)
destring firmid, replace
sort firmid

replace stop_earnat_1 = 38000 if wid==60530203

drop _merge*

/*try 2000 Naira*/
matrix input nig_cpi2000= (0.183496\0.196238\0.203885\0.201335\0.201335\0.208981\0.22937\0.216626\0.221723\0.242112\0.275244\0.321117\0.331312\0.346602\0.395026\0.52755\0.639686\0.774759\0.879249\0.981192\1.080586\1.309954\1.404251\1.730465\2.436413\2.548551\2.686172\2.961415\4.617973\6.949895\7.472347\8.420409\12.19226\19.16254\30.09072\52.01335\67.23329\72.97007\80.25894\85.57011\100\108.7747\131.2885\148.5065\182.663\197.8107)

gen age_educ = age*educ
gen agesq_educ = age_sq*educ
gen age_educsq = age*educ_sq

gen yearleftschool=ie01



local k=1
while `k'<=9{
gen rstart_earnat_`k'=.
gen rstop_earnat_`k'=.
gen rl1_earnat_`k'=.
gen rl2_earnat_`k'=.


format start_act_`k' %tm
gen startyear_`k' = year(dofm (start_act_`k'))
format startyear_`k'  %ty

format stop_act_`k' %tm
gen stopyear_`k' = year(dofm (stop_act_`k'))
format stopyear_`k'  %ty

gen l1year_`k'=stopyear_`k'-1
gen l2year_`k'=stopyear_`k'-2

local j=1960
while `j'<=2005{

gen nig_cpi_`j' = el(nig_cpi2000,(`j'-1959),1)
display nig_cpi_`j'

replace rstart_earnat_`k' = start_earnat_`k'/(nig_cpi_`j')*100 if startyear_`k'==`j'
replace rstop_earnat_`k'=stop_earnat_`k'/(nig_cpi_`j')*100 if stopyear_`k'==`j'

replace rl1_earnat_`k' = l1_earnat_`k'/(nig_cpi_`j')*100 if l1year_`k'==`j'
replace rl2_earnat_`k' = l2_earnat_`k'/(nig_cpi_`j')*100 if l2year_`k'==`j'

drop nig_cpi_`j'
local j=`j'+1
}

gen change_rearnat_`k' = rstop_earnat_`k' - rstart_earnat_`k'
gen change_m_rearnat_`k' = change_rearnat_`k'/tenure_`k'
gen pchange_rearnat_`k' = change_rearnat_`k'/rstart_earnat_`k'
gen pchange_m_rearnat_`k' = pchange_rearnat_`k'/tenure_`k' /*have not used logs because lose 0 values*/

local k=`k'+1
}

gen rstart_earnat_1stjob = rstart_earnat_1 if first_job_dum_1==1
gen start_earnat_1stjob = start_earnat_1 if first_job_dum_1==1
gen rstop_earnat_1stjob = rstop_earnat_1 if first_job_dum_1==1
gen stop_earnat_1stjob = stop_earnat_1 if first_job_dum_1==1
gen tenure_1stjob = tenure_1 if first_job_dum_1==1
gen startyear_1stjob = startyear_1 if first_job_dum_1==1
gen stopyear_1stjob = stopyear_1 if first_job_dum_1==1

local k=2
while `k'<=8{
replace rstart_earnat_1stjob = rstart_earnat_`k' if first_job_dum_`k'==1
replace start_earnat_1stjob = start_earnat_`k' if first_job_dum_`k'==1
replace rstop_earnat_1stjob = rstop_earnat_`k' if first_job_dum_`k'==1
replace stop_earnat_1stjob = stop_earnat_`k' if first_job_dum_`k'==1
replace tenure_1stjob = tenure_`k' if first_job_dum_`k'==1
replace startyear_1stjob = startyear_`k' if first_job_dum_`k'==1
replace stopyear_1stjob = stopyear_`k' if first_job_dum_`k'==1
local k=`k'+1
} 

gen change_rearnat_1stjob = rstop_earnat_1stjob - rstart_earnat_1stjob
gen change_m_rearnat_1stjob = change_rearnat_1stjob/tenure_1stjob
gen pchange_rearnat_1stjob = change_rearnat_1stjob/rstart_earnat_1stjob
gen pchange_m_rearnat_1stjob = pchange_rearnat_1stjob/tenure_1stjob /*have not used logs because lose 0 values*/

gen change_rearnat_life = rstop_earnat_1 - rstart_earnat_1stjob
gen change_m_rearnat_life = change_rearnat_life/lifetime_tenure_job /*used time in job - employed, apprenticed, self-employed*/
gen pchange_rearnat_life = change_rearnat_life/rstart_earnat_1stjob
gen pchange_m_rearnat_life = pchange_rearnat_life/lifetime_tenure_job 


local k=4
while `k'<=9{

gen cur_job_first_`k'0s=0 if cur_job_first~=.
replace cur_job_first_`k'0s = 1 if cur_job_first==1 & startyear_1stjob>=19`k'0 & startyear_1stjob<=19`k'9
gen first_job_emp_`k'0s=0 if first_job_emp~=.
replace first_job_emp_`k'0s = 1 if first_job_emp==1 & startyear_1stjob>=19`k'0 & startyear_1stjob<=19`k'9
gen first_job_app_`k'0s=0 if first_job_app~=.
replace first_job_app_`k'0s = 1 if first_job_app==1 & startyear_1stjob>=19`k'0 & startyear_1stjob<=19`k'9
gen first_job_selfemp_`k'0s=0 if first_job_selfemp~=.
replace first_job_selfemp_`k'0s = 1 if first_job_selfemp==1 & startyear_1stjob>=19`k'0 & startyear_1stjob<=19`k'9

local k=`k'+1
}

gen first_job_emp_00s=0 if first_job_emp~=.
replace first_job_emp_00s = 1 if first_job_emp==1 & startyear_1stjob>=2000 & startyear_1stjob<=2009
gen first_job_app_00s=0 if first_job_app~=.
replace first_job_app_00s = 1 if first_job_app==1 & startyear_1stjob>=2000 & startyear_1stjob<=2009
gen first_job_selfemp_00s=0 if first_job_selfemp~=.
replace first_job_selfemp_00s = 1 if first_job_selfemp==1 & startyear_1stjob>=2000 & startyear_1stjob<=2009
gen cur_job_first_00s=0 if cur_job_first~=.
replace cur_job_first_00s = 1 if cur_job_first==1 & startyear_1stjob>=2000 & startyear_1stjob<=2009

gen tenure_1stjobsq = tenure_1stjob*tenure_1stjob
gen tenure_lifetimesq = lifetime_tenure_job*lifetime_tenure_job

/*creating a skilled worker dummy*/
local k=1
while `k'<=9{
gen stop_skilled_`k'=0 if stop_support_`k'==1 | stop_prod_`k'==1 | stop_appren_`k'==1
replace stop_skilled_`k'=1 if stop_mgmt_`k'==1 | stop_admin_`k'==1 | stop_proffes_`k'==1 | stop_sales_`k'==1 | stop_super_`k'==1 | stop_tech_`k'==1 | stop_master_`k'==1

gen l1_skilled_`k'=0 if l1_support_`k'==1 | l1_prod_`k'==1 | l1_appren_`k'==1
replace l1_skilled_`k'=1 if l1_mgmt_`k'==1 | l1_admin_`k'==1 | l1_proffes_`k'==1 | l1_sales_`k'==1 | l1_super_`k'==1 | l1_tech_`k'==1 | l1_master_`k'==1

gen l2_skilled_`k'=0 if l2_support_`k'==1 | l2_prod_`k'==1 | l2_appren_`k'==1
replace l2_skilled_`k'=1 if l2_mgmt_`k'==1 | l2_admin_`k'==1 | l2_proffes_`k'==1 | l2_sales_`k'==1 | l2_super_`k'==1 | l2_tech_`k'==1 | l2_master_`k'==1

gen start_skilled_`k'=0 if start_support_`k'==1 | start_prod_`k'==1 | start_appren_`k'==1
replace start_skilled_`k'=1 if start_mgmt_`k'==1 | start_admin_`k'==1 | start_proffes_`k'==1 | start_sales_`k'==1 | start_super_`k'==1 | start_tech_`k'==1 | start_master_`k'==1
local k=`k'+1
} 

/*location, size and other firm characteristics*/
local k=1
while `k'<=9{
local j=`k'+1

gen lagos_`k'=0
replace lagos_`k'=1 if je07_`k'=="Lagos"
replace lagos_`k'=1 if js08_`k'=="Lagos"
replace lagos_`k'=1 if ju06_`k'=="Lagos"

gen aba_`k'=0
replace aba_`k'=1 if je07_`k'=="Aba"
replace aba_`k'=1 if js08_`k'=="Aba"
replace aba_`k'=1 if ju06_`k'=="Aba"

gen enugu_`k'=0
replace enugu_`k'=1 if je07_`k'=="Enugu"
replace enugu_`k'=1 if js08_`k'=="Enugu"
replace enugu_`k'=1 if ju06_`k'=="Enugu"

gen ibadan_`k'=0
replace ibadan_`k'=1 if je07_`k'=="Ibadan"
replace ibadan_`k'=1 if js08_`k'=="Ibadan"
replace ibadan_`k'=1 if ju06_`k'=="Ibadan"

gen kaduna_`k'=0
replace kaduna_`k'=1 if je07_`k'=="Kaduna"
replace kaduna_`k'=1 if js08_`k'=="Kaduna"
replace kaduna_`k'=1 if ju06_`k'=="Kaduna"

gen kano_`k'=0
replace kano_`k'=1 if je07_`k'=="Kano"
replace kano_`k'=1 if js08_`k'=="Kano"
replace kano_`k'=1 if ju06_`k'=="Kano"

gen nnewi_`k'=0
replace nnewi_`k'=1 if je07_`k'=="Nnewi"
replace nnewi_`k'=1 if js08_`k'=="Nnewi"
replace nnewi_`k'=1 if ju06_`k'=="Nnewi"

gen onitsha_`k'=0
replace onitsha_`k'=1 if je07_`k'=="Onitsha"
replace onitsha_`k'=1 if js08_`k'=="Onitsha"
replace onitsha_`k'=1 if ju06_`k'=="Onitsha"

gen othercity_`k'=0
replace othercity_`k'=1 if je07_`k'=="Other"
replace othercity_`k'=1 if js08_`k'=="Other"
replace othercity_`k'=1 if ju06_`k'=="Other"

gen location_`k' = 1 if aba_`k'==1
replace location_`k' = 2 if enugu_`k'==1
replace location_`k' = 3 if ibadan_`k'==1
replace location_`k' = 4 if kaduna_`k'==1
replace location_`k' = 5 if kano_`k'==1
replace location_`k' = 6 if lagos_`k'==1
replace location_`k' = 7 if nnewi_`k'==1
replace location_`k' = 8 if onitsha_`k'==1
replace location_`k' = 9 if othercity_`k'==1

label define locationnames_`k' 1 aba 2 enugu 3 ibadan 4 kaduna 5 kano 6 lagos 7 nnewi 8 onitsha 9 other
label values location_`k' locationnames_`k'

gen migration1_`k'=0
replace migration1_`k'=1 if je09_`k'=="Yes"
replace migration1_`k'=1 if js10_`k'=="Yes"

gen firmsizecat_`k'=1 if je18_`k'=="<5 employees"
replace firmsizecat_`k'=2 if je18_`k'=="6-10 employees"
replace firmsizecat_`k'=3 if je18_`k'=="11-20 employees"
replace firmsizecat_`k'=4 if je18_`k'=="21-50 employees"
replace firmsizecat_`k'=5 if je18_`k'=="51-100 employees"
replace firmsizecat_`k'=6 if je18_`k'==">100 employees"

gen firmsize5_`k'=0 if firmsizecat_`k'~=.
replace firmsize5_`k'=1 if firmsizecat_`k'==1
gen firmsize10_`k'=0 if firmsizecat_`k'~=.
replace firmsize10_`k'=1 if firmsizecat_`k'==2
gen firmsize20_`k'=0 if firmsizecat_`k'~=.
replace firmsize20_`k'=1 if firmsizecat_`k'==3
gen firmsize50_`k'=0 if firmsizecat_`k'~=.
replace firmsize50_`k'=1 if firmsizecat_`k'==4
gen firmsize100_`k'=0 if firmsizecat_`k'~=.
replace firmsize100_`k'=1 if firmsizecat_`k'==5
gen firmsize100plus_`k'=0 if firmsizecat_`k'~=.
replace firmsize100plus_`k'=1 if firmsizecat_`k'==6

gen firmagecat_`k'=1 if je19_`k'=="<5 years old"
replace firmagecat_`k'=2 if je19_`k'=="6-10 years old"
replace firmagecat_`k'=3 if je19_`k'=="11-20 years old"
replace firmagecat_`k'=4 if je19_`k'=="21-50 years old"
replace firmagecat_`k'=5 if je19_`k'==">50 years old"
replace firmagecat_`k'=6 if je19_`k'=="Don't know"

gen firmage5_`k'=0 if firmagecat_`k'~=.
replace firmage5_`k'=1 if firmagecat_`k'==1
gen firmage10_`k'=0 if firmagecat_`k'~=.
replace firmage10_`k'=1 if firmagecat_`k'==2
gen firmage20_`k'=0 if firmagecat_`k'~=.
replace firmage20_`k'=1 if firmagecat_`k'==3
gen firmage50_`k'=0 if firmagecat_`k'~=.
replace firmage50_`k'=1 if firmagecat_`k'==4
gen firmage50plus_`k'=0 if firmagecat_`k'~=.
replace firmage50plus_`k'=1 if firmagecat_`k'==5
gen firmagedknow_`k'=0 if firmagecat_`k'~=.
replace firmagedknow_`k'=1 if firmagecat_`k'==6

local k=`k'+1
}

local k=1
while `k'<=8{
local j=`k'+1


gen migration2_`k'=0 if location_`k'==location_`j'
replace migration2_`k'=0 if location_`k'~=. & location_`j'==.
replace migration2_`k'=1 if location_`k'~=location_`j' & location_`j'~=.
local k=`k'+1
}

gen aba_1stjob = aba_1 if first_job_dum_1==1
gen enugu_1stjob = enugu_1 if first_job_dum_1==1
gen ibadan_1stjob = ibadan_1 if first_job_dum_1==1
gen kaduna_1stjob = kaduna_1 if first_job_dum_1==1
gen kano_1stjob = kano_1 if first_job_dum_1==1
gen lagos_1stjob = lagos_1 if first_job_dum_1==1
gen nnewi_1stjob = nnewi_1 if first_job_dum_1==1
gen onitsha_1stjob = onitsha_1 if first_job_dum_1==1
gen othercity_1stjob = othercity_1 if first_job_dum_1==1

gen firmsize5_1stjob=firmsize5_1 if first_job_dum_1==1
gen firmsize10_1stjob=firmsize10_1 if first_job_dum_1==1
gen firmsize20_1stjob=firmsize20_1 if first_job_dum_1==1
gen firmsize50_1stjob=firmsize50_1 if first_job_dum_1==1
gen firmsize100_1stjob=firmsize100_1 if first_job_dum_1==1
gen firmsize100plus_1stjob=firmsize100plus_1 if first_job_dum_1==1

gen stop_skilled_1stjob = stop_skilled_1 if first_job_dum_1==1
gen start_skilled_1stjob = start_skilled_1 if first_job_dum_1==1

local k=2
while `k'<=8{
replace aba_1stjob = aba_`k' if first_job_dum_`k'==1
replace enugu_1stjob = enugu_`k' if first_job_dum_`k'==1
replace ibadan_1stjob = ibadan_`k' if first_job_dum_`k'==1
replace kaduna_1stjob = kaduna_`k' if first_job_dum_`k'==1
replace kano_1stjob = kano_`k' if first_job_dum_`k'==1
replace lagos_1stjob = lagos_`k' if first_job_dum_`k'==1
replace nnewi_1stjob = nnewi_`k' if first_job_dum_`k'==1
replace onitsha_1stjob = onitsha_`k' if first_job_dum_`k'==1
replace othercity_1stjob = othercity_`k' if first_job_dum_`k'==1

replace stop_skilled_1stjob = stop_skilled_`k' if first_job_dum_`k'==1
replace start_skilled_1stjob = start_skilled_`k' if first_job_dum_`k'==1

replace firmsize5_1stjob=firmsize5_`k' if first_job_dum_`k'==1
replace firmsize10_1stjob=firmsize10_`k' if first_job_dum_`k'==1
replace firmsize20_1stjob=firmsize20_`k' if first_job_dum_`k'==1
replace firmsize50_1stjob=firmsize50_`k' if first_job_dum_`k'==1
replace firmsize100_1stjob=firmsize100_`k' if first_job_dum_`k'==1
replace firmsize100plus_1stjob=firmsize100plus_`k' if first_job_dum_`k'==1

local k=`k'+1
} 

gen location_1stjob = 1 if aba_1stjob==1
replace location_1stjob = 2 if enugu_1stjob==1
replace location_1stjob = 3 if ibadan_1stjob==1
replace location_1stjob = 4 if kaduna_1stjob==1
replace location_1stjob = 5 if kano_1stjob==1
replace location_1stjob = 6 if lagos_1stjob==1
replace location_1stjob = 7 if nnewi_1stjob==1
replace location_1stjob = 8 if onitsha_1stjob==1
replace location_1stjob = 9 if othercity_1stjob==1

label define locationnames_1stjob 1 aba 2 enugu 3 ibadan 4 kaduna 5 kano 6 lagos 7 nnewi 8 onitsha 9 other
label values location_1stjob locationnames_1stjob


tabstat rstart_earnat_1 rstart_earnat_2 rstart_earnat_3, stat(mean p50 sd n min max)
/*often overestimate of starting wages*/

/*above is for 'spell-type' data*/
/*now cross-sectional/panel for last three years -  need to change this for nigeria*/
/*need to create earnat04 earnat03 earnat02 for handheld workers*/
gen earnat04=stop_earnat_1
gen earnbt04=stop_earnbt_1

gen earnat03=l1_earnat_1 if start_act_1<=527 /*if started job before 2003m12*/
gen earnbt03=l1_earnbt_1 if start_act_1<=527

gen earnat02=l2_earnat_1 if start_act_1<=515 /*if started job before 2002m12*/
gen earnbt02=l2_earnbt_1 if start_act_1<=515


replace earnat03=stop_earnat_2 if earnat03==. & stop_act_2<=527 & stop_act_2>515
replace earnbt03=stop_earnbt_2 if earnbt03==. & stop_act_2<=527 & stop_act_2>515

replace earnat02=stop_earnat_2 if earnat02==. & stop_act_2<=515 & stop_act_2>503
replace earnbt02=stop_earnbt_2 if earnbt02==. & stop_act_2<=515 & stop_act_2>503

replace earnat03=stop_earnat_3 if earnat03==. & stop_act_3<=527 & stop_act_3>515
replace earnbt03=stop_earnbt_3 if earnbt03==. & stop_act_3<=527 & stop_act_3>515

replace earnat02=stop_earnat_3 if earnat02==. & stop_act_3<=515 & stop_act_3>503
replace earnbt02=stop_earnbt_3 if earnbt02==. & stop_act_3<=515 & stop_act_3>503


/*earnings in 2000 Naira - these deflators are for actual year, rather than year + 1 where we have measured (ie for 2004 when measured in Jan 2005)*/
gen rearnat2004=earnat04/(182.663)*100
gen rearnbt2004=earnbt04/(182.663)*100
gen rearnat2003=earnat03/(148.5065)*100
gen rearnbt2003=earnbt03/(148.5065)*100
gen rearnat2002=earnat02/(131.2885)*100
gen rearnbt2002=earnbt02/(131.2885)*100

/*tenure - will need to think about changing jobs*/
/*need to be clear about assumptions here*/
/*assume that we are measuring tenure and job dummies at the end of m12 in the year i.e. 03m12 for tenure03.*/

gen tenure2004=tenure_1
gen tenure2003=527-start_act_1 if start_act_1<=527
gen tenure2002=515-start_act_1 if start_act_1<=515

replace tenure2003=527-start_act_2 if start_act_2 <= 527 & stop_act_2>=516 & tenure2003==.
replace tenure2002=515-start_act_2 if start_act_2 <= 515 & stop_act_2>=504 & tenure2002==.

replace tenure2003=527-start_act_3 if start_act_3 <= 527 & stop_act_3>=516 & tenure2003==.
replace tenure2002=515-start_act_3 if start_act_3 <= 515 & stop_act_3>=504 & tenure2002==.


/*worker dummies for changes in occupation*/
gen manwk2004=manwk_1
gen manwk2003=manwk_1 if start_act_1<=527
gen manwk2002=manwk_1 if start_act_1<=515

replace manwk2003=manwk_2 if start_act_2 <= 527 & stop_act_2>=516 & manwk2003==.
replace manwk2002=manwk_2 if start_act_2 <= 515 & stop_act_2>=504 & manwk2002==.

replace manwk2003=manwk_3 if start_act_3 <= 527 & stop_act_3>=516 & manwk2003==.
replace manwk2002=manwk_3 if start_act_3 <= 515 & stop_act_3>=504 & manwk2002==.

gen apprenwk2004=apprenwk_1
gen apprenwk2003=apprenwk_1 if start_act_1<=527
gen apprenwk2002=apprenwk_1 if start_act_1<=515

replace apprenwk2003=apprenwk_2 if start_act_2 <= 527 & stop_act_2>=516 & apprenwk2003==.
replace apprenwk2002=apprenwk_2 if start_act_2 <= 515 & stop_act_2>=504 & apprenwk2002==.

replace apprenwk2003=apprenwk_3 if start_act_3 <= 527 & stop_act_3>=516 & apprenwk2003==.
replace apprenwk2002=apprenwk_3 if start_act_3 <= 515 & stop_act_3>=504 & apprenwk2002==.

gen sewk2004=sewk_1
gen sewk2003=sewk_1 if start_act_1<=527
gen sewk2002=sewk_1 if start_act_1<=515

replace sewk2003=sewk_2 if start_act_2 <= 527 & stop_act_2>=516 & sewk2003==.
replace sewk2002=sewk_2 if start_act_2 <= 515 & stop_act_2>=504 & sewk2002==.

replace sewk2003=sewk_3 if start_act_3 <= 527 & stop_act_3>=516 & sewk2003==.
replace sewk2002=sewk_3 if start_act_3 <= 515 & stop_act_3>=504 & sewk2002==.

gen outwk2004=outwk_1
gen outwk2003=outwk_1 if start_act_1<=527
gen outwk2002=outwk_1 if start_act_1<=515

replace outwk2003=outwk_2 if start_act_2 <= 527 & stop_act_2>=516 & outwk2003==.
replace outwk2002=outwk_2 if start_act_2 <= 515 & stop_act_2>=504 & outwk2002==.

replace outwk2003=outwk_3 if start_act_3 <= 527 & stop_act_3>=516 & outwk2003==.
replace outwk2002=outwk_3 if start_act_3 <= 515 & stop_act_3>=504 & outwk2002==.

/*skilled worker dummy*/
gen skilled2004=stop_skilled_1

gen skilled2003=l1_skilled_1 if start_act_1<=527 /*if started job before 2003m12*/

gen skilled2002=l2_skilled_1 if start_act_1<=515 /*if started job before 2002m12*/

replace skilled2003=stop_skilled_2 if skilled2003==. & stop_act_2<=527 & stop_act_2>515

replace skilled2002=stop_skilled_2 if skilled2002==. & stop_act_2<=515 & stop_act_2>503

replace skilled2003=stop_skilled_3 if skilled2003==. & stop_act_3<=527 & stop_act_3>515

replace skilled2002=stop_skilled_3 if skilled2002==. & stop_act_3<=515 & stop_act_3>503


/*logging*/
gen lrearnat2004=log(rearnat2004)
gen lrearnbt2004=log(rearnbt2004)
gen lrearnat2003=log(rearnat2003)
gen lrearnbt2003=log(rearnbt2003)
gen lrearnat2002=log(rearnat2002)
gen lrearnbt2002=log(rearnbt2002)

gen dobsq=dob*dob

gen lrstart_earnat_1stjob = log(rstart_earnat_1stjob)
gen lrstop_earnat_1stjob = log(rstop_earnat_1stjob)
gen lrstart_earnat_1 = log(rstart_earnat_1)
gen lrstop_earnat_1 = log(rstop_earnat_1)

/*changes in logs of real earnings*/
gen change_lrearnat_life = lrstop_earnat_1 - lrstart_earnat_1stjob
gen change_m_lrearnat_life = change_lrearnat_life/lifetime_tenure_job
gen lchange_rearnat_life = log(change_rearnat_life)
gen lchange_m_rearnat_life = lchange_rearnat_life/lifetime_tenure_job

gen change_lrearnat_1stjob = lrstop_earnat_1stjob - lrstart_earnat_1stjob
gen change_m_lrearnat_1stjob = change_lrearnat_1stjob/tenure_1stjob
gen lchange_rearnat_1stjob = log(change_rearnat_1stjob)
gen lchange_m_rearnat_1stjob = lchange_rearnat_1stjob/tenure_1stjob

gen change_lrearnat_1 = lrstop_earnat_1 - lrstart_earnat_1
gen change_m_lrearnat_1 = change_lrearnat_1/tenure_1
gen lchange_rearnat_1 = log(change_rearnat_1)
gen lchange_m_rearnat_1 = lchange_rearnat_1stjob/tenure_1

reg lrstart_earnat_1stjob educ educ_sq age age_sq /*dob_60s dob_70s dob_80s*/ first_job_app  /*first_job_emp*/ first_job_selfemp male if lrstart_earnat_1stjob>2 & lrstart_earnat_1stjob<14

save "$worker_wave2_public\earn_baserun.dta", replace

keep lrearn* rearn* educ educ_sq age age_sq skilled20*   tenure20* manwk20* apprenwk20* sewk20* male wid firmid i01


drop if wid==.
reshape long lrearnat lrearnbt rearnat rearnbt tenure skilled manwk apprenwk sewk owagewk sizeclass, i(wid) j(year)

gen y2004 = 1 if year==2004
replace y2004=0 if year~=2004

gen y2003 = 1 if year==2003
replace y2003=0 if year~=2003

gen y2002 = 1 if year==2002
replace y2002=0 if year~=2002


reg lrearnat educ educ_sq age age_sq tenure skilled  male y2002 y2003, cluster(wid), if manwk==1 & rearnat<3000000
predict res_sample if e(sample), resid
reg lrearnat educ educ_sq age age_sq tenure skilled male y2002 y2003, cluster(wid), if manwk==1 & rearnat<3000000
predict res_noemp if e(sample), resid

xtreg lrearnat tenure /*manwk*/ y2002 y2003,fe i(wid), if res_sample~=.
save "$worker_wave2_public\2002_2004data.dta", replace


exit

